# juqingcms 
# ----------------------------------------


DROP TABLE IF EXISTS `qing_admin`;
CREATE TABLE `qing_admin` (
  `userid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(20) DEFAULT NULL,
  `password` varchar(32) DEFAULT NULL,
  `roleid` smallint(5) DEFAULT '0',
  `realname` varchar(50) NOT NULL DEFAULT '',
  `auth` text NOT NULL,
  `list_size` smallint(5) NOT NULL,
  `left_width` smallint(5) NOT NULL DEFAULT '150',
  `color` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`userid`),
  KEY `username` (`username`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `qing_admin` VALUES('1','admin','c3284d0f94606de1fd2af172aba15bf3','1','超级管理员','','10','150','orange');

DROP TABLE IF EXISTS `qing_block`;
CREATE TABLE `qing_block` (
  `id` smallint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` tinyint(1) NOT NULL,
  `name` varchar(50) NOT NULL,
  `content` mediumtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

INSERT INTO `qing_block` VALUES('1','2','顶部LOGO【电脑版】','/data/upload/image/20190211/1549855761532733.jpg');
INSERT INTO `qing_block` VALUES('2','2','底部LOGO【电脑版】','/data/upload/image/20190211/1549855770673920.png');
INSERT INTO `qing_block` VALUES('3','2','LOGO【手机版】','/data/upload/image/20190211/1549888052111409.png');
INSERT INTO `qing_block` VALUES('4','2','微信二维码','/data/upload/image/20190211/1549855791530495.png');
INSERT INTO `qing_block` VALUES('5','1','固话','021-88888888');
INSERT INTO `qing_block` VALUES('6','1','手机','13566669999');
INSERT INTO `qing_block` VALUES('7','1','传真','021-12345678');
INSERT INTO `qing_block` VALUES('8','1','邮箱','123456@qq.com');
INSERT INTO `qing_block` VALUES('9','1','售前QQ','123456');
INSERT INTO `qing_block` VALUES('10','1','售后QQ','456789');
INSERT INTO `qing_block` VALUES('11','1','地址','上海市浦东新区');
INSERT INTO `qing_block` VALUES('12','1','备案号','沪ICP备123456号');
INSERT INTO `qing_block` VALUES('13','1','网站公告','诚信为本，市场在变，诚信永远不变...');
INSERT INTO `qing_block` VALUES('14','1','第三方代码','&lt;script&gt;&lt;/script&gt;');
INSERT INTO `qing_block` VALUES('15','2','首页公司简介上方小图','/data/upload/image/20190211/1549857119697157.jpg');

DROP TABLE IF EXISTS `qing_category`;
CREATE TABLE `qing_category` (
  `catid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `typeid` tinyint(1) NOT NULL,
  `modelid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `parentid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `child` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `childids` varchar(255) NOT NULL,
  `catname` varchar(30) NOT NULL,
  `image` varchar(100) NOT NULL,
  `content` mediumtext NOT NULL,
  `seo_title` varchar(255) NOT NULL,
  `seo_keywords` varchar(255) NOT NULL,
  `seo_description` varchar(255) NOT NULL,
  `catdir` varchar(30) NOT NULL,
  `http` varchar(255) NOT NULL,
  `items` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `listorder` smallint(5) unsigned NOT NULL DEFAULT '0',
  `ismenu` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `ispost` smallint(2) NOT NULL,
  `verify` smallint(2) NOT NULL DEFAULT '0',
  `islook` smallint(2) NOT NULL,
  `listtpl` varchar(50) NOT NULL,
  `showtpl` varchar(50) NOT NULL,
  `pagetpl` varchar(50) NOT NULL,
  `pagesize` smallint(5) NOT NULL,
  PRIMARY KEY (`catid`),
  KEY `listorder` (`listorder`,`catid`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO `qing_category` VALUES('1','2','0','0','1','7,8,','关于我们','','','','','','gywm','','0','0','1','0','0','0','','','page.html','10');
INSERT INTO `qing_category` VALUES('2','1','2','0','0','','产品中心','','','','','产品中心的一段文字描述，在后台栏目设置里进行修改。','cpzx','','8','0','1','0','0','0','list_product.html','show_product.html','page.html','12');
INSERT INTO `qing_category` VALUES('3','1','1','0','0','','新闻中心','','','','','','xwzx','','9','0','1','0','0','0','list_news.html','show_news.html','page.html','10');
INSERT INTO `qing_category` VALUES('4','2','0','0','0','','人力资源','','','','','','rlzy','','0','0','1','0','0','0','','','page.html','10');
INSERT INTO `qing_category` VALUES('5','4','3','0','0','','在线留言','','','','','','zxly','','0','0','1','0','0','0','','','form.html','10');
INSERT INTO `qing_category` VALUES('6','2','0','0','0','','联系我们','','','','','','lxwm','','0','0','1','0','0','0','','','page.html','10');
INSERT INTO `qing_category` VALUES('7','2','0','1','0','','公司简介','','&lt;p&gt;某某机床销售有限公司坐落在中国最大核心经济城市——上海。公司主营某某精机CNC电脑数控分度盘，国内外名优机床，机床配件，附件，数控刀具等。做到全国价格最低！车床、铣床、刨床、磨床、镗床、钻床、剪板折弯、冲床、液压机、卷板机、插床、拉床、滚齿机、插齿机、磨齿机、线切割、电火花成型机等机械加工设备。几百个品种，千余种规格，客户覆盖全国。&lt;/p&gt;&lt;p&gt;公司秉承着：诚信经营的一贯宗旨！知客户之所需，供客户之所求，急客户之所想！同样的产品我们的质量更优，同样的质量我们的价格更低，同样的价格我们的服务更好。&lt;/p&gt;','','','','gsjj','','0','0','1','0','0','0','','','page.html','10');
INSERT INTO `qing_category` VALUES('8','2','0','1','0','','发展历程','','','','','','fzlc','','0','0','1','0','0','0','','','page.html','10');

DROP TABLE IF EXISTS `qing_content`;
CREATE TABLE `qing_content` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `catid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `modelid` smallint(5) NOT NULL,
  `title` varchar(80) NOT NULL DEFAULT '',
  `thumb` varchar(255) NOT NULL DEFAULT '',
  `keywords` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL,
  `listorder` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '1',
  `hits` smallint(5) unsigned NOT NULL DEFAULT '0',
  `username` char(20) NOT NULL,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`,`listorder`,`time`),
  KEY `time` (`catid`,`time`),
  KEY `status` (`catid`,`status`)
) ENGINE=MyISAM AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

INSERT INTO `qing_content` VALUES('1','2','2','VMC-E经济型加工中心','/data/upload/image/20190211/1549862769108603.jpg','','','0','1','2','admin','1549862762');
INSERT INTO `qing_content` VALUES('2','2','2','VMC-B经典型加工中心','/data/upload/image/20190211/1549862817524170.jpg','','','0','1','0','admin','1549862803');
INSERT INTO `qing_content` VALUES('3','2','2','VMC-P卓越型加工中心','/data/upload/image/20190211/1549862855104834.jpg','','','0','1','0','admin','1549862850');
INSERT INTO `qing_content` VALUES('4','2','2','VMC-S强力型加工中心','/data/upload/image/20190211/1549862872129478.jpg','','','0','1','0','admin','1549862861');
INSERT INTO `qing_content` VALUES('5','2','2','TC-R快捷型加工中心','/data/upload/image/20190211/1549862890442753.jpg','','','0','1','0','admin','1549862886');
INSERT INTO `qing_content` VALUES('6','2','2','HTC1608数控车床','/data/upload/image/20190211/1549862912468573.jpg','','','0','1','0','admin','1549862895');
INSERT INTO `qing_content` VALUES('7','2','2','CAK36/40系列数控车床','/data/upload/image/20190211/1549862926454630.jpg','','','0','1','0','admin','1549862917');
INSERT INTO `qing_content` VALUES('8','2','2','EL40/63系列简易数控车','/data/upload/image/20190211/1549862940745353.jpg','','','0','1','8','admin','1549862931');
INSERT INTO `qing_content` VALUES('9','3','1','加快自主创新和转型升级步伐，实现跨越式可持续发展','','','面对全球金融危机，XX集团把握政策机遇，全力满足国内市场需求，通过转型升级、全面提升，实现了跨越式、可持续发展，主要经营指标逐月回升。截至10月底，集团实现营业收入410亿元，已超过去年全年销售额；实现利税3','0','1','0','admin','1549874566');
INSERT INTO `qing_content` VALUES('10','3','1','工程机械展收获颇丰实现双赢','','','该负责人认为，XX本次参展最大的收获在于客户资源方面，台湾是一个崭新的市场，针对台湾的空白市场地带XX将陆续跟进，为支持海西建设、支持国家战略发展贡献应有的力量。同时，他希望厦门工程机械展的施工单位等客','0','1','0','admin','1549875282');
INSERT INTO `qing_content` VALUES('11','3','1','我工程机械扬威慕尼黑宝马展','','','宝马展始创至今已有50多年历史，展品涵盖各类建筑机械、设备及工程用车和矿山机械等，它不仅是国际工程机械行业的商务贸易中心，也是世界各地建筑业者汇聚交流、获取信息、拓展联络的重要平台，因而引得业界高度关','0','1','0','admin','1549875295');
INSERT INTO `qing_content` VALUES('12','3','1','坚持自主创新　增强发展实力','','','XX集团自主研发的QAY500全地面起重机与另两台起重机一起，在湖北海铭星集团船厂基地成功地将480多吨级的船厂用门吊横梁吊装到位。据介绍，这台QAY500全地面起重机具有完全自主知识产权，技术与世界先进水平同步，最','0','1','0','admin','1549875305');
INSERT INTO `qing_content` VALUES('13','3','1','首推我国第四代成套路面机械','','','XD2系列双钢轮压路机、RP6系列智能化摊铺机、XAP拌和站，近日，XX集团正式对外发布了三款路面机械产品。目前，该系列产品正在进行全国巡展。这三款产品是XX集团自主研发的具有智能一体化控制、机群智能化联合作业、','0','1','0','admin','1549875314');
INSERT INTO `qing_content` VALUES('14','3','1','进入世界五强 规划“十二五”战略','','','“改革开放以来，我国装备制造业和工程机械产业有了很大的发展，尤其是自主品牌的凸现和快速崛起，进一步巩固和确立了我国作为机械和工程机械制造大国的地位，XX就是其中最为出色的代表。”','0','1','0','admin','1549875330');
INSERT INTO `qing_content` VALUES('15','3','1','百吨级以上起重机自主创新占尽先机','','','近日，XX重型百吨级起重机销售又创新高，2009年1-6月份，行业百吨级以上全地面起重机已销售103台，比去年同期增长168%，其中XX重型市场占有率达到75.5%。仅6月份，XX重型百吨级以上汽车起重机已实现销售40台，比1-5','0','1','0','admin','1549875340');
INSERT INTO `qing_content` VALUES('16','3','1','500F装载机产品成功下线','','','在实施500F装载机试制项目的过程中，XXXXX公司领导在质量、技术和生产进度计划上进行了具体部署和精心的工作安排，充分发挥全体员工的积极性和创造性，走出XXXX公司持续创新之路。目前，其中一台500F装载机正在XX地','0','1','0','admin','1549875350');
INSERT INTO `qing_content` VALUES('17','3','1','首批国家自主创新产品 XX重型全地面起重机入','','','上个世纪90年代，中国开始引进全地面起重机技术，1995年XX重型推出了&quot;亚洲第一吊&quot;160吨全地面起重机。但由于中国市场一直处于低迷期，这种技术含量高、价格高的产品未能实现真正意义上的市场化。2002年，XX重型推出','0','1','31','admin','1549875360');

DROP TABLE IF EXISTS `qing_content_news`;
CREATE TABLE `qing_content_news` (
  `id` mediumint(8) NOT NULL,
  `catid` smallint(5) NOT NULL,
  `content` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `qing_content_news` VALUES('9','3','&lt;p&gt;面对全球金融危机，XX集团把握政策机遇，全力满足国内市场需求，通过转型升级、全面提升，实现了跨越式、可持续发展，主要经营指标逐月回升。截至10月底，集团实现营业收入410亿元，已超过去年全年销售额；实现利税30.4亿元，同比增长16.5％。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('10','3','&lt;p&gt;该负责人认为，XX本次参展最大的收获在于客户资源方面，台湾是一个崭新的市场，针对台湾的空白市场地带XX将陆续跟进，为支持海西建设、支持国家战略发 展贡献应有的力量。同时，他希望厦门工程机械展的施工单位等客户群能够更多一些，能够进行更多的交流。以后的厦门工程机械展，如果不出意外的话徐工肯定参 展。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('11','3','&lt;p&gt;宝马展始创至今已有50多年历史，展品涵盖各类建筑机械、设备及工程用车和矿山机械等，它不仅是国际工程机械行业的商务贸易中心，也是世界各地建筑业者 汇聚交流、获取信息、拓展联络的重要平台，因而引得业界高度关注、广泛参与。据主办方慕尼黑国际博览集团统计，本届宝马展共有来自53个国家的3150家 展商参展，展会面积达55.5万平方米，比2007年举办的上届展会新增4个参展国、148家参展商和大约1.5万平方米的展位面积，上述几项数据均创宝 马展有史以来最好水平。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('12','3','&lt;p&gt;XX集团自主研发的QAY500全地面起重机与另两台起重机一起，在湖北海铭星集团船厂基地成功地将480多吨级的船厂用门吊横梁吊装到位。据介绍，这台QAY500全地面起重机具有完全自主知识产权，技术与世界先进水平同步，最大起重量可达500吨。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('13','3','&lt;p&gt;XD2系列双钢轮压路机、RP6系列智能化摊铺机、XAP拌和站，近日，XX集团正式对外发布了三款路面机械产品。目前，该系列产品正在进行全国巡展。&lt;/p&gt;&lt;p&gt;这三款产品是XX集团自主研发的具有智能一体化控制、机群智能化联合作业、远程监控等多项国际先进技术的成套路面施工机械，该系列产品的成功推出，为施工单位提高路面施工质量和效率，提供了较佳解决方案。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('14','3','&lt;p&gt;“改革开放以来，我国装备制造业和工程机械产业有了很大的发展，尤其是自主品牌的凸现和快速崛起，进一步巩固和确立了我国作为机械和工程机械制造大国的地位，XX就是其中最为出色的代表。”&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('15','3','&lt;p&gt;近日，XX重型百吨级起重机销售又创新高，2009年1-6月份，行业百吨级以上全地面起重机已销售 103台，比去年同期增长168%，其中XX重型市场占有率达到75.5%。仅6月份，XX重型百吨级以上汽车起重机已实现销售40台，比1-5月份月平 均销量增幅高达43%，不仅刷新了09年大吨位产品月销量纪录，更是创造了历年大吨位产品月销量之最。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('16','3','&lt;p&gt;在实施500F装载机试制项目的过程中，XXXXX公司领导在质量、技术和生产进度计划上进行了具体部署和精心的工作安排，充分发挥全 体员工的积极性和创造性，走出XXXX公司持续创新之路。目前，其中一台500F装载机正在XX地区寻找工况条件恶劣的场所,进行1000小时的强化试 验，通过严峻的工况考验后以可靠的质量和优越的性能投放市场，从而在求新、求变中寻求在西南市场的突破。&lt;/p&gt;');
INSERT INTO `qing_content_news` VALUES('17','3','&lt;p&gt;上个世纪90年代，中国开始引进全地面起重机技术，1995年XX重型推出了&amp;quot;亚洲第一吊&amp;quot;160吨全地面起重机。但由于中国市场一直处于低迷期，这种技 术含量高、价格高的产品未能实现真正意义上的市场化。2002年，XX重型推出中国第一台拥有自主知识产权的25吨全地面起重机，引起行业轰动，并引发了一系列关于&amp;quot;中国是否应该发展高端技术起重机&amp;quot;的思辨，该产品的诞生被评为当年行业十大新闻之首。&lt;/p&gt;&lt;p&gt;7年后的今天，XX重型已形成全地面起重机核心授权专利 92项，其中发明专利19项，并主持制定《全地面起重机》国家标准。在国家863 计划&amp;quot;机群智能化工程机械&amp;quot;的研究上，结合我国移动式起重机技术发展趋势和市场需求，自主研究了全地面起重机&amp;quot;准椭圆形截面起重臂的研究应用与批量生产技 术、多桥转向多种控制模式&amp;quot;等多项关键技术，形成50吨、130吨、160吨、200吨、240吨、300吨、400吨、500吨的完备型谱，成功实现了 全地面起重机核心技术的研究与产业化开发。&lt;/p&gt;');

DROP TABLE IF EXISTS `qing_content_product`;
CREATE TABLE `qing_content_product` (
  `id` mediumint(8) NOT NULL,
  `catid` smallint(5) NOT NULL,
  `content` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `qing_content_product` VALUES('1','2','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190211/1549862769108603.jpg&quot; title=&quot;1549862769108603.jpg&quot; alt=&quot;1.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('2','2','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190211/1549862817524170.jpg&quot; title=&quot;1549862817524170.jpg&quot; alt=&quot;2.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('3','2','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190211/1549862855104834.jpg&quot; title=&quot;1549862855104834.jpg&quot; alt=&quot;3.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('4','2','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190211/1549862872129478.jpg&quot; title=&quot;1549862872129478.jpg&quot; alt=&quot;4.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('5','2','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190211/1549862890442753.jpg&quot; title=&quot;1549862890442753.jpg&quot; alt=&quot;5.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('6','2','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190211/1549862912468573.jpg&quot; title=&quot;1549862912468573.jpg&quot; alt=&quot;6.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('7','2','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190211/1549862926454630.jpg&quot; title=&quot;1549862926454630.jpg&quot; alt=&quot;7.jpg&quot;/&gt;&lt;/p&gt;');
INSERT INTO `qing_content_product` VALUES('8','2','&lt;p&gt;&lt;img src=&quot;/data/upload/image/20190211/1549862940745353.jpg&quot; title=&quot;1549862940745353.jpg&quot; alt=&quot;8.jpg&quot;/&gt;&lt;/p&gt;');

DROP TABLE IF EXISTS `qing_diy_banner`;
CREATE TABLE `qing_diy_banner` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `weizhi` varchar(255) NOT NULL,
  `tupian` varchar(255) NOT NULL,
  `lianjie` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `qing_diy_banner` VALUES('1','电脑版','/data/upload/image/20190211/1549854983327816.jpg','');
INSERT INTO `qing_diy_banner` VALUES('2','电脑版','/data/upload/image/20190211/1549854993132925.jpg','');
INSERT INTO `qing_diy_banner` VALUES('3','手机版','/data/upload/image/20190211/1549855367269766.jpg','');
INSERT INTO `qing_diy_banner` VALUES('4','手机版','/data/upload/image/20190211/1549855376353161.jpg','');

DROP TABLE IF EXISTS `qing_diy_flink`;
CREATE TABLE `qing_diy_flink` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `sitename` varchar(255) NOT NULL,
  `siteurl` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `qing_diy_flink` VALUES('1','百度','http://www.baidu.com');

DROP TABLE IF EXISTS `qing_diy_link`;
CREATE TABLE `qing_diy_link` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `guanjianci` varchar(255) NOT NULL,
  `lianjie` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `qing_diy_link` VALUES('1','测试链接1','http://www.juqingcms.com');
INSERT INTO `qing_diy_link` VALUES('2','测试链接2','http://www.juqingcms.com');

DROP TABLE IF EXISTS `qing_form_comment`;
CREATE TABLE `qing_form_comment` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `cid` mediumint(8) NOT NULL,
  `userid` mediumint(8) NOT NULL,
  `username` char(20) NOT NULL,
  `listorder` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '1',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `ip` char(20) DEFAULT NULL,
  `pinglunneirong` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `listorder` (`listorder`),
  KEY `status` (`status`),
  KEY `time` (`time`),
  KEY `userid` (`userid`),
  KEY `cid` (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_form_gestbook`;
CREATE TABLE `qing_form_gestbook` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `cid` mediumint(8) NOT NULL,
  `userid` mediumint(8) NOT NULL,
  `username` char(20) NOT NULL,
  `listorder` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `status` tinyint(2) unsigned NOT NULL DEFAULT '1',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `ip` char(20) DEFAULT NULL,
  `liuyanneirong` varchar(255) DEFAULT NULL,
  `xingming` varchar(255) NOT NULL,
  `shouji` varchar(255) NOT NULL,
  `youxiang` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `listorder` (`listorder`),
  KEY `status` (`status`),
  KEY `time` (`time`),
  KEY `userid` (`userid`),
  KEY `cid` (`cid`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `qing_form_gestbook` VALUES('1','0','0','','0','1','1549714690','127.0.0.1','测试留言内容','张三','13578789696','');
INSERT INTO `qing_form_gestbook` VALUES('2','0','0','','0','1','1549800574','127.0.0.1','测试手机端留言','123','13578945612','');

DROP TABLE IF EXISTS `qing_keylink`;
CREATE TABLE `qing_keylink` (
  `id` int(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  `link` varchar(100) NOT NULL,
  `weight` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_member`;
CREATE TABLE `qing_member` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `username` char(20) NOT NULL DEFAULT '',
  `password` char(32) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL,
  `avatar` varchar(100) NOT NULL DEFAULT '',
  `modelid` smallint(5) NOT NULL,
  `regdate` int(10) unsigned NOT NULL DEFAULT '0',
  `regip` varchar(50) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_member_connect`;
CREATE TABLE `qing_member_connect` (
  `uid` mediumint(9) NOT NULL,
  `openid` varchar(32) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_member_geren`;
CREATE TABLE `qing_member_geren` (
  `id` mediumint(8) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `qing_model`;
CREATE TABLE `qing_model` (
  `modelid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `typeid` tinyint(3) NOT NULL,
  `modelname` char(30) NOT NULL,
  `tablename` char(20) NOT NULL,
  `listtpl` varchar(30) NOT NULL,
  `showtpl` varchar(30) NOT NULL,
  `joinid` smallint(5) DEFAULT NULL,
  `setting` text,
  PRIMARY KEY (`modelid`),
  KEY `typeid` (`typeid`),
  KEY `joinid` (`joinid`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO `qing_model` VALUES('1','1','文章模型','content_news','list_news.html','show_news.html','0','a:1:{s:7:\"default\";a:6:{s:5:\"title\";a:2:{s:4:\"name\";s:6:\"标题\";s:4:\"show\";s:1:\"1\";}s:8:\"keywords\";a:2:{s:4:\"name\";s:9:\"关键字\";s:4:\"show\";s:1:\"1\";}s:5:\"thumb\";a:2:{s:4:\"name\";s:9:\"缩略图\";s:4:\"show\";s:1:\"1\";}s:11:\"description\";a:2:{s:4:\"name\";s:6:\"描述\";s:4:\"show\";s:1:\"1\";}s:4:\"time\";a:2:{s:4:\"name\";s:12:\"发布时间\";s:4:\"show\";s:1:\"1\";}s:4:\"hits\";a:2:{s:4:\"name\";s:9:\"阅读数\";s:4:\"show\";s:1:\"1\";}}}');
INSERT INTO `qing_model` VALUES('2','1','产品模型','content_product','list_product.html','show_product.html','0','a:1:{s:7:\"default\";a:6:{s:5:\"title\";a:2:{s:4:\"name\";s:6:\"标题\";s:4:\"show\";s:1:\"1\";}s:8:\"keywords\";a:2:{s:4:\"name\";s:9:\"关键字\";s:4:\"show\";s:1:\"1\";}s:5:\"thumb\";a:2:{s:4:\"name\";s:9:\"缩略图\";s:4:\"show\";s:1:\"1\";}s:11:\"description\";a:2:{s:4:\"name\";s:6:\"描述\";s:4:\"show\";s:1:\"1\";}s:4:\"time\";a:2:{s:4:\"name\";s:12:\"发布时间\";s:4:\"show\";s:1:\"1\";}s:4:\"hits\";a:2:{s:4:\"name\";s:9:\"阅读数\";s:4:\"show\";s:1:\"1\";}}}');
INSERT INTO `qing_model` VALUES('3','3','在线留言','form_gestbook','list_gestbook.html','form.html','0','a:1:{s:4:\"form\";a:11:{s:4:\"post\";s:1:\"0\";s:3:\"num\";s:1:\"0\";s:4:\"time\";s:0:\"\";s:5:\"check\";s:1:\"0\";s:4:\"code\";s:1:\"0\";s:6:\"member\";s:1:\"0\";s:5:\"email\";s:1:\"0\";s:11:\"smtpemailto\";s:0:\"\";s:11:\"mailsubject\";s:0:\"\";s:4:\"show\";a:4:{i:0;s:8:\"xingming\";i:1;s:6:\"shouji\";i:2;s:8:\"youxiang\";i:3;s:13:\"liuyanneirong\";}s:10:\"membershow\";a:1:{i:0;s:13:\"liuyanneirong\";}}}');
INSERT INTO `qing_model` VALUES('4','3','文章评论','form_comment','list_comment.html','form.html','1','a:2:{s:4:\"form\";a:8:{s:4:\"post\";s:1:\"0\";s:3:\"num\";s:1:\"0\";s:4:\"time\";s:0:\"\";s:5:\"check\";s:1:\"0\";s:4:\"code\";s:1:\"0\";s:6:\"member\";s:1:\"0\";s:4:\"show\";a:1:{i:0;s:14:\"pinglunneirong\";}s:10:\"membershow\";a:1:{i:0;s:14:\"pinglunneirong\";}}s:7:\"disable\";s:1:\"1\";}');
INSERT INTO `qing_model` VALUES('5','2','个人','member_geren','list_geren.html','show_geren.html','0','');
INSERT INTO `qing_model` VALUES('6','4','banner','diy_banner','list_banner.html','show_banner.html','0','a:1:{s:4:\"form\";a:1:{s:4:\"show\";a:3:{i:0;s:6:\"weizhi\";i:1;s:6:\"tupian\";i:2;s:7:\"lianjie\";}}}');
INSERT INTO `qing_model` VALUES('7','4','友情链接','diy_flink','list_flink.html','show_flink.html','0','a:1:{s:4:\"form\";a:1:{s:4:\"show\";a:2:{i:0;s:8:\"sitename\";i:1;s:7:\"siteurl\";}}}');
INSERT INTO `qing_model` VALUES('8','4','推荐链接','diy_link','list_link.html','show_link.html','0','a:1:{s:4:\"form\";a:1:{s:4:\"show\";a:2:{i:0;s:10:\"guanjianci\";i:1;s:7:\"lianjie\";}}}');

DROP TABLE IF EXISTS `qing_model_field`;
CREATE TABLE `qing_model_field` (
  `fieldid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `modelid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `field` varchar(20) NOT NULL,
  `name` varchar(30) NOT NULL,
  `isshow` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `tips` text NOT NULL,
  `pattern` varchar(255) NOT NULL,
  `errortips` varchar(255) NOT NULL,
  `formtype` varchar(20) NOT NULL,
  `setting` mediumtext NOT NULL,
  `listorder` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `disabled` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`fieldid`),
  KEY `modelid` (`modelid`)
) ENGINE=MyISAM AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

INSERT INTO `qing_model_field` VALUES('1','1','content','内容','1','','','','editor','a:4:{s:7:\"toolbar\";s:1:\"1\";s:5:\"width\";s:3:\"700\";s:6:\"height\";s:3:\"450\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('2','2','content','内容','1','','','','editor','a:4:{s:7:\"toolbar\";s:1:\"1\";s:5:\"width\";s:3:\"700\";s:6:\"height\";s:3:\"450\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('13','3','shouji','手机','1','','/^(1)[0-9]{10}$/','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','3','0');
INSERT INTO `qing_model_field` VALUES('12','3','xingming','姓名','1','','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','4','0');
INSERT INTO `qing_model_field` VALUES('5','3','liuyanneirong','留言内容','1','','1','留言内容不能为空','textarea','a:3:{s:5:\"width\";s:3:\"400\";s:6:\"height\";s:2:\"90\";s:12:\"defaultvalue\";s:0:\"\";}','1','0');
INSERT INTO `qing_model_field` VALUES('6','4','pinglunneirong','评论内容','1','','1','评论内容不能为空','textarea','a:3:{s:5:\"width\";s:3:\"400\";s:6:\"height\";s:2:\"90\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('7','6','weizhi','位置','1','','1','','radio','a:2:{s:7:\"content\";s:40:\"电脑版|电脑版\r\n手机版|手机版\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('8','6','tupian','图片','1','','1','','file','a:3:{s:4:\"type\";s:20:\"jpg,jpeg,bmp,gif,png\";s:7:\"preview\";s:1:\"1\";s:4:\"size\";s:1:\"2\";}','0','0');
INSERT INTO `qing_model_field` VALUES('9','6','lianjie','链接','1','格式：http://www.baidu.com，没有则留空','','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('10','7','sitename','网站名称','1','','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('11','7','siteurl','网址','1','格式：http://www.baidu.com','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('14','3','youxiang','邮箱','1','','','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','2','0');
INSERT INTO `qing_model_field` VALUES('15','8','guanjianci','关键词','1','','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('16','8','lianjie','链接','1','','1','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');
INSERT INTO `qing_model_field` VALUES('17','0','catenname','英文名称','1','','','','input','a:2:{s:4:\"size\";s:3:\"380\";s:12:\"defaultvalue\";s:0:\"\";}','0','0');

DROP TABLE IF EXISTS `qing_weixinmenu`;
CREATE TABLE `qing_weixinmenu` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `parentid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `child` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `childids` varchar(255) NOT NULL,
  `name` varchar(30) NOT NULL,
  `url` varchar(255) NOT NULL DEFAULT '',
  `listorder` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `listorder` (`listorder`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


