/*
 * jQuery Easing v1.3 - http://gsgd.co.uk/sandbox/jquery/easing/
 *
 * Uses the built in easing capabilities added In jQuery 1.1
 * to offer multiple easing options
 *
 * TERMS OF USE - jQuery Easing
 *
 * Open source under the BSD License.
 *
 * Copyright © 2008 George McGinley Smith
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice, this list of
 * conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list
 * of conditions and the following disclaimer in the documentation and/or other materials
 * provided with the distribution.
 *
 * Neither the name of the author nor the names of contributors may be used to endorse
 * or promote products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 *  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 *  GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */
jQuery.easing['jswing']=jQuery.easing['swing'];jQuery.extend(jQuery.easing,{def:'easeOutQuad',swing:function(x,t,b,c,d){return jQuery.easing[jQuery.easing.def](x,t,b,c,d)},easeInQuad:function(x,t,b,c,d){return c*(t/=d)*t+b},easeOutQuad:function(x,t,b,c,d){return-c*(t/=d)*(t-2)+b},easeInOutQuad:function(x,t,b,c,d){if((t/=d/2)<1)return c/2*t*t+b;return-c/2*((--t)*(t-2)-1)+b},easeInCubic:function(x,t,b,c,d){return c*(t/=d)*t*t+b},easeOutCubic:function(x,t,b,c,d){return c*((t=t/d-1)*t*t+1)+b},easeInOutCubic:function(x,t,b,c,d){if((t/=d/2)<1)return c/2*t*t*t+b;return c/2*((t-=2)*t*t+2)+b},easeInQuart:function(x,t,b,c,d){return c*(t/=d)*t*t*t+b},easeOutQuart:function(x,t,b,c,d){return-c*((t=t/d-1)*t*t*t-1)+b},easeInOutQuart:function(x,t,b,c,d){if((t/=d/2)<1)return c/2*t*t*t*t+b;return-c/2*((t-=2)*t*t*t-2)+b},easeInQuint:function(x,t,b,c,d){return c*(t/=d)*t*t*t*t+b},easeOutQuint:function(x,t,b,c,d){return c*((t=t/d-1)*t*t*t*t+1)+b},easeInOutQuint:function(x,t,b,c,d){if((t/=d/2)<1)return c/2*t*t*t*t*t+b;return c/2*((t-=2)*t*t*t*t+2)+b},easeInSine:function(x,t,b,c,d){return-c*Math.cos(t/d*(Math.PI/2))+c+b},easeOutSine:function(x,t,b,c,d){return c*Math.sin(t/d*(Math.PI/2))+b},easeInOutSine:function(x,t,b,c,d){return-c/2*(Math.cos(Math.PI*t/d)-1)+b},easeInExpo:function(x,t,b,c,d){return(t==0)?b:c*Math.pow(2,10*(t/d-1))+b},easeOutExpo:function(x,t,b,c,d){return(t==d)?b+c:c*(-Math.pow(2,-10*t/d)+1)+b},easeInOutExpo:function(x,t,b,c,d){if(t==0)return b;if(t==d)return b+c;if((t/=d/2)<1)return c/2*Math.pow(2,10*(t-1))+b;return c/2*(-Math.pow(2,-10*--t)+2)+b},easeInCirc:function(x,t,b,c,d){return-c*(Math.sqrt(1-(t/=d)*t)-1)+b},easeOutCirc:function(x,t,b,c,d){return c*Math.sqrt(1-(t=t/d-1)*t)+b},easeInOutCirc:function(x,t,b,c,d){if((t/=d/2)<1)return-c/2*(Math.sqrt(1-t*t)-1)+b;return c/2*(Math.sqrt(1-(t-=2)*t)+1)+b},easeInElastic:function(x,t,b,c,d){var s=1.70158;var p=0;var a=c;if(t==0)return b;if((t/=d)==1)return b+c;if(!p)p=d*.3;if(a<Math.abs(c)){a=c;var s=p/4}else var s=p/(2*Math.PI)*Math.asin(c/a);return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b},easeOutElastic:function(x,t,b,c,d){var s=1.70158;var p=0;var a=c;if(t==0)return b;if((t/=d)==1)return b+c;if(!p)p=d*.3;if(a<Math.abs(c)){a=c;var s=p/4}else var s=p/(2*Math.PI)*Math.asin(c/a);return a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b},easeInOutElastic:function(x,t,b,c,d){var s=1.70158;var p=0;var a=c;if(t==0)return b;if((t/=d/2)==2)return b+c;if(!p)p=d*(.3*1.5);if(a<Math.abs(c)){a=c;var s=p/4}else var s=p/(2*Math.PI)*Math.asin(c/a);if(t<1)return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b},easeInBack:function(x,t,b,c,d,s){if(s==undefined)s=1.70158;return c*(t/=d)*t*((s+1)*t-s)+b},easeOutBack:function(x,t,b,c,d,s){if(s==undefined)s=1.70158;return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b},easeInOutBack:function(x,t,b,c,d,s){if(s==undefined)s=1.70158;if((t/=d/2)<1)return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b},easeInBounce:function(x,t,b,c,d){return c-jQuery.easing.easeOutBounce(x,d-t,0,c,d)+b},easeOutBounce:function(x,t,b,c,d){if((t/=d)<(1/2.75)){return c*(7.5625*t*t)+b}else if(t<(2/2.75)){return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b}else if(t<(2.5/2.75)){return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b}else{return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b}},easeInOutBounce:function(x,t,b,c,d){if(t<d/2)return jQuery.easing.easeInBounce(x,t*2,0,c,d)*.5+b;return jQuery.easing.easeOutBounce(x,t*2-d,0,c,d)*.5+c*.5+b}});
/*!
 * Title: Boutique carousel (jQuery plugin)
 * Author: Berend de Jong, Frique
 * Author URI: http://frique.me/
 * Version: 1.5.3 (2014-08-28 18:14)
 */
!function(a){a.fn.boutique=function(b){var c=a.extend({container_width:"auto",front_img_width:280,front_img_height:"auto",variable_container_height:!0,frames:5,starter:1,speed:600,front_topmargin:40,behind_topmargin:20,back_topmargin:0,behind_opacity:.4,back_opacity:.15,behind_size:.7,back_size:.4,behind_distance:"auto",autoplay:!1,autoplay_interval:3e3,stop_autoplay_on_click:!1,freescroll:!0,hovergrowth:.08,easing:"easeIOBoutique",move_more_easein:"easeInBoutique",move_more_easebetween:"linear",move_more_easeout:"easeOutBoutique",move_more_directly:!1,never_move_twice:!1,text_front_only:!1,text_opacity:.7,keyboard:!0,move_on_hover:!1,right_to_left:!1},b);return a.each(this,function(){function b(){var a=parseInt(y.width(),10);x.width(a),"auto"===c.behind_distance&&(Y=Math.round(a/4-lb/2),n.css({left:Y})),vb=Math.round(a/2-db/2),xb=a-Y-lb,wb=a-tb,o.css({left:vb}),p.css({left:xb}),q.css({left:wb})}function d(){r&&(clearInterval(r),r=!1)}function e(){r&&d(),r=setInterval(function(){c.right_to_left?n.trigger("click"):p.trigger("click")},c.autoplay_interval)}function f(b,g){var l,r,s=c.speed;if(B=!0,g=g||!1,g||(g=b>1?"first":"normal"),b>1&&"first"===g?(r=c.move_more_easein,s=Math.round(.7*c.speed)):b>1?(r=c.move_more_easebetween,s=Math.round(.4*c.speed)):r="last"===g?c.move_more_easeout:c.easing,c.autoplay&&d(),D===E-2?v=1:D===E-1?(v=2,v>E&&(v=1)):D===E?(v=3,v>E&&(v=1)):v=D+3,"function"==typeof pre_move_callback){var t=p.children("a").attr("href");t||(t="no_anchor"),pre_move_callback(t,A,p.data("framesource"))}H&&(x.stop(),c.text_front_only&&o.find("."+M).hide()),m.removeClass("frame1").addClass("remove").css("zIndex",-1),h=n.removeClass("frame2").addClass("frame1").stop().animate({opacity:c.back_opacity,left:0,top:X},s,r),l=h.find("."+O).stop(),G&&K&&l.css({height:"auto"}),l.animate(Lb,s,r),c.text_front_only||h.find("."+N).stop().animate({fontSize:pb},s,r).end().find("."+M).stop().animate(Eb,s,r),setTimeout(function(){h.css("zIndex",1)},s/4),i=o.removeClass("frame3").addClass("frame2").stop().animate({opacity:c.behind_opacity,left:Y,top:W},s,r),i.find("."+N).stop().animate({fontSize:hb},s,r).end().find("."+M).stop().animate(Db,s,r),l=i.find("."+O).stop(),G&&K&&l.css({height:"auto"}),l.animate(Nb,s,r),setTimeout(function(){i.css("zIndex",2)},s/4),j=p.removeClass("frame4").addClass("frame3").stop().animate({opacity:1,left:vb,top:V},s,r,function(){H&&c.text_front_only&&a(this).find("."+N).stop().css({fontSize:_}).end().find("."+M).stop().css(Cb).fadeIn(200),H&&K&&c.variable_container_height&&Jb(!0)}),l=j.find("."+O).stop(),G&&K&&l.css({height:"auto"}),l.animate(Ob,s,r),H&&c.text_front_only||j.find("."+N).stop().animate({fontSize:_},s,r).end().find("."+M).stop().show().animate(Cb,s,r),setTimeout(function(){j.css("zIndex",3)},s/4),k=q.removeClass("frame5").addClass("frame4").stop().animate({opacity:c.behind_opacity,left:xb,top:W},s,r),l=k.find("."+O).stop(),G&&K&&l.css({height:"auto"}),l.animate(Nb,s,r),c.text_front_only||k.find("."+N).stop().animate({fontSize:hb},s,r).end().find("."+M).stop().animate(Db,s,r),setTimeout(function(){k.css("zIndex",2)},s/4),q=Q[v].clone(),q.addClass("frame5").prependTo(x).data("framesource",v).show().css({opacity:0,left:wb,top:X}).animate({opacity:c.back_opacity},s,function(){if(i.children("a").find("*").css({cursor:"default"}),c.autoplay&&e(),2===b?f(1,"last"):b>1?f(b-1,"normal"):j.children("a").find("*").css({cursor:"pointer"}),!j.is(":animated")&&(B=!1,x.children(".remove").stop().fadeOut(s,function(){a(this).remove()}),"function"==typeof move_callback)){var d=j.children("a").attr("href");d||(d="no_anchor"),move_callback(d,A,o.data("framesource"))}}).find("."+O).css(Mb).end().children("a").removeAttr("rel"),c.text_front_only?q.find("."+N).css({fontSize:hb}).end().find("."+M).css(Db).hide():q.find("."+N).css({fontSize:pb}).end().find("."+M).css(Eb),m=h,n=i,o=j,p=k,x.children(".remove").fadeOut(s,function(){a(this).remove()}),D===E?D=1:D+=1,!H&&K&&c.variable_container_height&&Jb(!0)}function g(b,f){var h,r,s=c.speed;if(B=!0,f=f||!1,f||(f=b>1?"first":"normal"),b>1&&"first"===f?(r=c.move_more_easein,s=Math.round(.7*c.speed)):b>1?(r=c.move_more_easebetween,s=Math.round(.4*c.speed)):r="last"===f?c.move_more_easeout:c.easing,c.autoplay&&d(),3===D?v=E:2===D?(v=E-1,1>v&&(v=E)):1===D?(v=E-2,1>v&&(v=E)):v=D-3,"function"==typeof pre_move_callback){var t=n.children("a").attr("href");t||(t="no_anchor"),pre_move_callback(t,A,n.data("framesource"))}H&&(x.stop(),c.text_front_only&&o.find("."+M).hide()),q.removeClass("frame5").addClass("remove").css("zIndex",-1),l=p.removeClass("frame4").addClass("frame5").stop().animate({opacity:c.back_opacity,left:wb,top:X},s,r),h=l.find("."+O).stop(),G&&K&&h.css({height:"auto"}),h.animate(Lb,s,r),c.text_front_only||l.find("."+N).stop().animate({fontSize:pb},s,r).end().find("."+M).stop().animate(Eb,s,r),setTimeout(function(){l.css("zIndex",1)},s/4),k=o.removeClass("frame3").addClass("frame4").stop().animate({opacity:c.behind_opacity,left:xb,top:W},s,r),k.find("."+N).stop().animate({fontSize:hb},s,r).end().find("."+M).stop().animate(Db,s,r),h=k.find("."+O).stop(),G&&K&&h.css({height:"auto"}),h.animate(Nb,s,r),setTimeout(function(){k.css("zIndex",2)},s/4),j=n.removeClass("frame2").addClass("frame3").stop().animate({opacity:1,left:vb,top:V},s,r,function(){H&&c.text_front_only&&a(this).find("."+N).stop().css({fontSize:_}).end().find("."+M).stop().css(Cb).fadeIn(200),H&&K&&c.variable_container_height&&Jb(!0)}),h=j.find("."+O).stop(),G&&K&&h.css({height:"auto"}),h.animate(Ob,s,r),H&&c.text_front_only||j.find("."+N).stop().animate({fontSize:_},s,r).end().find("."+M).stop().show().animate(Cb,s,r),setTimeout(function(){j.css("zIndex",3)},s/4),i=m.removeClass("frame1").addClass("frame2").stop().animate({opacity:c.behind_opacity,left:Y,top:W},s,r),h=i.find("."+O).stop(),G&&K&&h.css({height:"auto"}),h.animate(Nb,s,r),c.text_front_only||i.find("."+N).stop().animate({fontSize:hb},s,r).end().find("."+M).stop().animate(Db,s,r),setTimeout(function(){i.css("zIndex",2)},s/4),m=Q[v].clone(),m.addClass("frame1").prependTo(x).data("framesource",v).show().css({opacity:0,left:0,top:X}).animate({opacity:c.back_opacity},s,function(){if(k.children("a").find("*").css({cursor:"default"}),c.autoplay&&e(),2===b?g(1,"last"):b>1?g(b-1,"normal"):j.children("a").find("*").css({cursor:"pointer"}),!j.is(":animated")&&(B=!1,x.children(".remove").stop().fadeOut(s,function(){a(this).remove()}),"function"==typeof move_callback)){var d=j.children("a").attr("href");d||(d="no_anchor"),move_callback(d,A,o.data("framesource"))}}).find("."+O).css(Mb).end().children("a").removeAttr("rel"),c.text_front_only?m.find("."+N).css({fontSize:hb}).end().find("."+M).css(Db).hide():m.find("."+N).css({fontSize:pb}).end().find("."+M).css(Eb),n=i,o=j,p=k,q=l,x.children(".remove").fadeOut(s,function(){a(this).remove()}),1===D?D=E:D-=1,!H&&K&&c.variable_container_height&&Jb(!0)}var h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w=a(window),x=a(this).addClass("boutique").show(),y=x.parent(),z=x.children("li"),A=x.attr("id"),B=!1,C=!1,D=c.starter,E=z.length,F=!1,G=!1,H=!1,I=!1,J=c.speed/4,K=!1,L="boutique-frame",M="boutique-frame-text",N="boutique-frame-title",O="boutique-frame-image",P="boutique -frame-link";"object"==typeof a.browser&&a.browser.msie&&(F=!0,a.browser.version<9&&(H=!0,a.browser.version<7&&(G=!0))),c.starter>E&&(c.starter=E),c.right_to_left&&x.addClass("rtl"),A||(A="no_id"),"behind_opac"in c&&(c.behind_opacity=c.behind_opac),"back_opac"in c&&(c.back_opacity=c.back_opac),"autointerval"in c&&(c.autoplay_interval=c.autointerval),"hoverspeed"in c&&(J=c.hoverspeed),(3===c.frames||"3"===c.frames)&&("auto"===c.behind_distance&&(c.behind_distance=0),c.back_opacity=0);var Q=[],R=[];a.each(z,function(b){b+=1;var d,e,f,g=a(this).addClass(L+" li"+b),h=g.children("a").addClass(P),i=g.find("img").addClass(O),j=0,k=0,l=0,m=0;"auto"===c.front_img_height?(k=i.attr("width"),k||(k=i.width()),l=parseInt(i.attr("height"),10),l||(l=i.height()),R.push(l),k&&c.front_img_width!==k&&(j=c.front_img_width/k,m=Math.floor(j*l)),g.data("displayheight",m)):g.data("displayheight",c.front_img_height),i.removeAttr("width").removeAttr("height"),d=g.find("."+N),e=d.length?d.text():i.attr("alt"),f=g.find("."+M),f.length||(f=g.find("span").addClass(M)),f.length||(f=a(e?'<span class="'+M+'" />':'<span class="'+M+' dummy" />'),f.appendTo(h.length?h:g)),e?d.length||(d=a('<h6 class="'+N+'">'+e+"</h6>")):d=a('<h6 class="'+N+' dummy" />'),d.prependTo(f),Q[b]=g}),"auto"===c.front_img_height?(K=!0,u=0):u=c.front_img_height,1===E?(m=Q[1].clone().addClass("frame1").prependTo(x).data("framesource",1),n=Q[1].clone().addClass("frame2").prependTo(x).data("framesource",1)):2===c.starter?(n=Q[1].clone().addClass("frame2").prependTo(x).data("framesource",1),m=Q[E].clone().addClass("frame1").prependTo(x).data("framesource",E)):1===c.starter?(m=Q[E-1].clone().addClass("frame1").prependTo(x).data("framesource",E-1),n=Q[E].clone().addClass("frame2").prependTo(x).data("framesource",E)):(n=Q[c.starter-1].clone().addClass("frame2").prependTo(x).data("framesource",c.starter-1),m=Q[c.starter-2].clone().addClass("frame1").prependTo(x).data("framesource",c.starter-2)),o=Q[c.starter].clone().addClass("frame3").prependTo(x).data("framesource",c.starter),1===E?(p=Q[1].clone().addClass("frame4").prependTo(x).data("framesource",1),q=Q[1].clone().addClass("frame5").prependTo(x).data("framesource",1)):c.starter===E-1?(p=Q[E].clone().addClass("frame4").prependTo(x).data("framesource",E),q=Q[1].clone().addClass("frame5").prependTo(x).data("framesource",1)):c.starter===E?(p=Q[1].clone().addClass("frame4").prependTo(x).data("framesource",1),q=Q[2].clone().addClass("frame5").prependTo(x).data("framesource",2)):(p=Q[c.starter+1].clone().addClass("frame4").prependTo(x).data("framesource",c.starter+1),q=Q[c.starter+2].clone().addClass("frame5").prependTo(x).data("framesource",c.starter+2)),m.add(n).add(o).add(p).add(q).children("a").removeAttr("rel");var S=m.add(q).show().css({opacity:0}).addClass("back"),T=n.add(p).show().css({opacity:0}).addClass("behind"),U=o.show().css({opacity:0}).addClass("front");"auto"===c.container_width||"100%"===c.container_width?(I=!0,s=parseInt(y.width(),10)):s=c.container_width;var V=parseInt(U.css("marginTop"),10),W=parseInt(T.css("marginTop"),10),X=parseInt(S.css("marginTop"),10);V||(V=parseInt(c.front_topmargin,10)),W||(W=parseInt(c.behind_topmargin,10)),X||(X=parseInt(c.back_topmargin,10));var Y,Z=parseInt(z.css("borderLeftWidth"),10),$=parseInt(z.css("paddingLeft"),10),_=U.find("."+N).css("fontSize"),ab=U.find("."+M).css("fontSize"),bb=U.find("."+O),cb={top:parseInt(bb.css("marginTop"),10),right:parseInt(bb.css("marginRight"),10),bottom:parseInt(bb.css("marginBottom"),10),left:parseInt(bb.css("marginLeft"),10)},db=Math.round(c.front_img_width+cb.left+cb.right+2*$+2*Z),eb=Math.round(u+cb.top+cb.bottom+2*$+2*Z),fb=Math.round(c.front_img_width*c.behind_size),gb=Math.round(u*c.behind_size),hb=T.find("."+N).css("fontSize"),ib=T.find("."+M).css("fontSize"),jb=T.find("."+O),kb={top:parseInt(jb.css("marginTop"),10),right:parseInt(jb.css("marginRight"),10),bottom:parseInt(jb.css("marginBottom"),10),left:parseInt(jb.css("marginLeft"),10)},lb=Math.round(fb+kb.left+kb.right+2*$+2*Z),mb=Math.round(gb+kb.top+kb.bottom+2*$+2*Z),nb=Math.round(c.front_img_width*c.back_size),ob=Math.round(u*c.back_size),pb=S.find("."+N).css("fontSize"),qb=S.find("."+M).css("fontSize"),rb=S.find("."+O),sb={top:parseInt(rb.css("marginTop"),10),right:parseInt(rb.css("marginRight"),10),bottom:parseInt(rb.css("marginBottom"),10),left:parseInt(rb.css("marginLeft"),10)},tb=Math.round(nb+sb.left+sb.right+2*$+2*Z),ub=Math.round(ob+sb.top+sb.bottom+2*$+2*Z),vb=Math.round(s/2-db/2),wb=s-tb;K&&(u="auto",gb="auto",ob="auto"),Y="auto"!==c.behind_distance?parseInt(c.behind_distance,10):Math.round(s/4-lb/2);var xb=s-Y-lb;S.removeClass("back"),T.removeClass("behind"),U.removeClass("front");var yb=a("span",z).css("padding-top"),zb=a("span",z).css("padding-right"),Ab=a("span",z).css("padding-bottom"),Bb=a("span",z).css("padding-left"),Cb={opacity:c.text_opacity,fontSize:ab,paddingTop:yb,paddingRight:zb,paddingBottom:Ab,paddingLeft:Bb},Db={opacity:c.text_opacity,fontSize:ib,paddingTop:Math.round(.8*parseInt(yb,10)),paddingRight:Math.round(.8*parseInt(zb,10)),paddingBottom:Math.round(.8*parseInt(Ab,10)),paddingLeft:Math.round(.8*parseInt(Bb,10))},Eb={opacity:c.text_opacity,fontSize:qb,paddingTop:Math.round(.6*parseInt(yb,10)),paddingRight:Math.round(.6*parseInt(zb,10)),paddingBottom:Math.round(.6*parseInt(Ab,10)),paddingLeft:Math.round(.6*parseInt(Bb,10))};if(c.text_front_only&&(Db.opacity=0,Eb=a.extend(Eb,Db)),G){var Fb=parseInt(U.find("."+M).css("margin-left"),10)+parseInt(U.find("."+M).css("margin-right"),10),Gb=parseInt(T.find("."+M).css("margin-left"),10)+parseInt(T.find("."+M).css("margin-right"),10),Hb=parseInt(S.find("."+M).css("margin-left"),10)+parseInt(S.find("."+M).css("margin-right"),10);Cb.width=db-parseInt(zb,10)-parseInt(Bb,10)-Fb-2*Z,Db.width=lb-Db.paddingRight-Db.paddingLeft-Gb-2*Z,Eb.width=tb-Eb.paddingRight-Eb.paddingLeft-Hb-2*Z}x.find(".dummy").remove();var Ib=[],Jb=function(a){Ib=[],Ib.push(Math.floor(parseInt(Q[m.data("framesource")].data("displayheight"),10)*c.back_size)+ub+parseInt(X,10)),Ib.push(Math.floor(parseInt(Q[n.data("framesource")].data("displayheight"),10)*c.behind_size)+mb+parseInt(W,10)),Ib.push(parseInt(Q[D].data("displayheight"),10)+eb+parseInt(V,10)),Ib.push(Math.floor(parseInt(Q[p.data("framesource")].data("displayheight"),10)*c.behind_size)+mb+parseInt(W,10)),Ib.push(Math.floor(parseInt(Q[q.data("framesource")].data("displayheight"),10)*c.back_size)+ub+parseInt(X,10)),a&&(Ib.sort(function(a,b){return b-a}),t!==Ib[0]&&(t=Ib[0],x.stop().animate({height:t},c.speed,c.easing).css({overflow:"visible"})))};if(c.variable_container_height&&K)Jb(!1);else if(K){R.sort(function(a,b){return b-a});var Kb=parseInt(R[0],10);Kb||(Kb=300),Ib.push(Kb+eb+parseInt(V,10)),Ib.push(Kb+mb+parseInt(W,10)),Ib.push(Kb+ub+parseInt(X,10))}else Ib.push(eb+parseInt(V,10)),Ib.push(mb+parseInt(W,10)),Ib.push(ub+parseInt(X,10));Ib.sort(function(a,b){return b-a}),t=Ib[0],x.height(t).width(s),m.css({left:0,top:X,opacity:c.back_opacity}).find("."+O).css({width:nb,height:ob,marginTop:sb.top,marginRight:sb.right,marginBottom:sb.bottom,marginLeft:sb.left,opacity:1}).siblings("."+M).css(Eb).children("."+N).css({fontSize:pb}),n.css({left:Y,top:W,zIndex:2,opacity:c.behind_opacity}).find("."+O).css({width:fb,height:gb,marginTop:kb.top,marginRight:kb.right,marginBottom:kb.bottom,marginLeft:kb.left,opacity:1}).siblings("."+M).css(Db).children("."+N).css({fontSize:hb}),o.css({left:vb,top:V,zIndex:3,opacity:1}).find("a *").css({cursor:"pointer"}).end().find("."+O).css({width:c.front_img_width,height:u,marginTop:cb.top,marginRight:cb.right,marginBottom:cb.bottom,marginLeft:cb.left,opacity:1}).siblings("."+M).css(Cb).children("."+N).css({fontSize:_}),p.css({left:xb,top:W,zIndex:2,opacity:c.behind_opacity}).find("."+O).css({width:fb,height:gb,marginTop:kb.top,marginRight:kb.right,marginBottom:kb.bottom,marginLeft:kb.left,opacity:1}).siblings("."+M).css(Db).children("."+N).css({fontSize:hb}),q.css({left:wb,top:X,opacity:c.back_opacity}).find("."+O).css({width:nb,height:ob,marginTop:sb.top,marginRight:sb.right,marginBottom:sb.bottom,marginLeft:sb.left,opacity:1}).siblings("."+M).css(Eb).children("."+N).css({fontSize:pb}),c.text_front_only&&m.add(n).add(p).add(q).find("."+M).hide(),G&&K&&(m.find("."+O).css({height:Math.floor(Q[m.data("framesource")].data("displayheight")*c.back_size)}),n.find("."+O).css({height:Math.floor(Q[n.data("framesource")].data("displayheight")*c.behind_size)}),o.find("."+O).css({height:Math.floor(Q[o.data("framesource")].data("displayheight"))}),p.find("."+O).css({height:Math.floor(Q[p.data("framesource")].data("displayheight")*c.behind_size)}),q.find("."+O).css({height:Math.floor(Q[q.data("framesource")].data("displayheight")*c.back_size)}));var Lb={width:nb,marginTop:sb.top,marginRight:sb.right,marginBottom:sb.bottom,marginLeft:sb.left,opacity:1};K||(Lb.height=ob);var Mb=a.extend({},Lb);K&&(Mb.height="auto");var Nb={width:fb,marginTop:kb.top,marginRight:kb.right,marginBottom:kb.bottom,marginLeft:kb.left,opacity:1};K||(Nb.height=gb);var Ob={width:c.front_img_width,marginTop:cb.top,marginRight:cb.right,marginBottom:cb.bottom,marginLeft:cb.left,opacity:1};K||(Ob.height=u),"undefined"!=typeof a.easing.easeIOBoutique&&a.easing.easeIOBoutique||a.extend(a.easing,{easeInBoutique:function(a,b,c,d,e){var f=b/e;return f*f},easeOutBoutique:function(a,b,c,d,e){var f=b/e;return-1*f*(f-2)},easeIOBoutique:function(a,b,c,d,e){var f=b/(e/2);return.5>=a?f/2*f:-.5*(--f*(f-2)-1)}}),I&&b(),window[A+"_ext_prev"]=window[A+"_prev"]=window[A+"_previous"]=function(a){a=a||1,c.right_to_left?f(a):g(a)},window[A+"_ext_next"]=window[A+"_next"]=function(a){a=a||1,c.right_to_left?g(a):f(a)},window[A+"_stopautoplay"]=function(){c.autoplay&&d(),c.autoplay=!1},window[A+"_startautoplay"]=function(){c.autoplay||e(),c.autoplay=!0},window[A+"_goto"]=function(a){if(a=a||!1,a&&(a=parseInt(a,10),parseFloat(a)===a&&D!==a&&E>=a)){var b,c=0;a>D?D+(E-a)>=a-D?(b="right",c=a-D):(b="left",c=D+(E-a)):D-a>=E-D+a?(b="right",c=E-D+a):(b="left",c=D-a),"right"===b?f(c):g(c)}},x.delegate(".frame1","click",function(a){(c.freescroll||!B)&&(c.never_move_twice?g(1):c.move_more_directly?(g(1),g(1)):g(2),a.preventDefault())}),x.delegate(".frame2","click",function(a){(c.freescroll||!B)&&(g(1),a.preventDefault())}),x.delegate(".frame4","click",function(a){(c.freescroll||!B)&&(f(1),a.preventDefault())}),x.delegate(".frame5","click",function(a){(c.freescroll||!B)&&(c.never_move_twice?f(1):c.move_more_directly?(f(1),f(1)):f(2),a.preventDefault())}),c.move_on_hover&&(x.delegate(".frame1","mousemove",function(){m.trigger("click")}),x.delegate(".frame2","mousemove",function(){n.trigger("click")}),x.delegate(".frame4","mousemove",function(){p.trigger("click")}),x.delegate(".frame5","mousemove",function(){q.trigger("click")}));var Pb={left:"-="+Math.floor(c.front_img_width*(c.hovergrowth/2)),top:"-="+Math.floor(c.front_img_width*c.hovergrowth/2)};K||(Pb.top="-="+Math.floor(u*c.hovergrowth));var Qb={left:"-="+Math.floor(fb*c.hovergrowth)},Rb={left:"+="+Math.floor(fb*c.hovergrowth)},Sb={width:Math.floor(c.front_img_width*(1+c.hovergrowth))},Tb={width:"+="+Math.floor(c.hovergrowth*c.front_img_width)};K||(Sb.height=Math.floor(u*(1+c.hovergrowth)));var Ub={width:c.front_img_width};K||(Ub.height=u),x.delegate(".frame3","mouseenter mouseleave",function(a){"mouseenter"!==a.type||B||C?B||(C=!1,c.autoplay&&e(),K&&G&&(Ub.height=Q[o.data("framesource")].data("displayheight")),o.stop().animate({left:vb,top:V},J).find("."+O).stop().animate(Ub,J,function(){o.removeClass("zoomed")}),n.stop().animate({left:Y},J),p.stop().animate({left:xb},J),G&&x.find(".zoomed ."+M).stop().animate(Cb,J)):(C=!0,c.autoplay&&d(),K&&G&&(Sb.height=Math.floor(Q[o.data("framesource")].data("displayheight")*(1+c.hovergrowth))),o.addClass("zoomed").stop(!0,!0).animate(Pb,J).find("."+O).stop().animate(Sb,J),n.stop(!0,!0).animate(Qb,J),p.stop(!0,!0).animate(Rb,J),G&&o.find("."+M).stop().animate(Tb,J))}),F||x.delegate(".frame3:not(.zoomed)","mousemove",function(){C||o.trigger("mouseenter")}),x.delegate(".frame3 a","click",function(b){"function"==typeof link_callback&&(link_callback(a(this).attr("href"),A)||b.preventDefault()),c.autoplay&&c.stop_autoplay_on_click&&(d(),c.autoplay=!1)}),c.keyboard&&a(document).keydown(function(a){x.is(":visible")&&(39!==a.keyCode&&(c.right_to_left||13!==a.keyCode&&32!==a.keyCode)||f(1),(37===a.keyCode||c.right_to_left&&(13===a.keyCode||32===a.keyCode))&&g(1))}),c.autoplay&&e(),I&&w.resize(function(){b()})}),this}}(jQuery);
/*************************************************!
 *
 *   project:    liteAccordion - a horizontal accordion plugin for jQuery
 *   author:     Nicola Hibbert
 *   url:        http://nicolahibbert.com/liteaccordion-v2/
 *   demo:       http://www.nicolahibbert.com/demo/liteAccordion/
 *
 *   Version:    2.2.0
 *   Copyright:  (c) 2010-2013 Nicola Hibbert
 *   Licence:    MIT
 *
 **************************************************/
(function(b){var a=function(g,l){var i={containerWidth:960,containerHeight:320,headerWidth:48,activateOn:"click",firstSlide:1,slideSpeed:800,onTriggerSlide:function(m){},onSlideAnimComplete:function(){},autoPlay:false,pauseOnHover:false,cycleSpeed:6000,easing:"swing",theme:"basic",rounded:false,enumerateSlides:false,linkable:false},h=b.extend({},i,l),c=g.children("ol").children("li"),j=c.children(":first-child"),k=c.length,f=h.containerWidth-k*h.headerWidth,e={play:function(m){var n=d.nextSlide(m&&m);if(d.playing){return}d.playing=setInterval(function(){j.eq(n()).trigger("click.liteAccordion")},h.cycleSpeed)},stop:function(){clearInterval(d.playing);d.playing=0},next:function(){e.stop();j.eq(d.currentSlide===k-1?0:d.currentSlide+1).trigger("click.liteAccordion")},prev:function(){e.stop();j.eq(d.currentSlide-1).trigger("click.liteAccordion")},destroy:function(){e.stop();b(window).off(".liteAccordion");g.attr("style","").removeClass("liteAccordion basic dark light stitch").removeData("liteAccordion").off(".liteAccordion").find("li > :first-child").off(".liteAccordion").filter(".selected").removeClass("selected").end().find("b").remove();c.removeClass("slide").children().attr("style","")},debug:function(){return{elem:g,defaults:i,settings:h,methods:e,core:d}}},d={setStyles:function(){g.width(h.containerWidth).height(h.containerHeight).addClass("liteAccordion").addClass(h.rounded&&"rounded").addClass(h.theme);c.addClass("slide").children(":first-child").height(h.headerWidth);d.setSlidePositions()},setSlidePositions:function(){var m=j.filter(".selected");if(!m.length){j.eq(h.firstSlide-1).addClass("selected")}j.each(function(n){var q=b(this),p=n*h.headerWidth,o=j.first().next(),r=parseInt(o.css("marginLeft"),10)||parseInt(o.css("marginRight"),10)||0;if(m.length){if(n>j.index(m)){p+=f}}else{if(n>=h.firstSlide){p+=f}}q.css("left",p).width(h.containerHeight).next().width(f-r).css({left:p,paddingLeft:h.headerWidth});h.enumerateSlides&&q.append("<b>"+(n+1)+"</b>")})},bindEvents:function(){if(h.activateOn==="click"){j.on("click.liteAccordion",d.triggerSlide)}else{if(h.activateOn==="mouseover"){j.on("click.liteAccordion mouseover.liteAccordion",d.triggerSlide)}}if(h.linkable){b(window).on("hashchange.liteAccordion",function(n){var m=c.filter(function(){return b(this).attr("data-slide-name")===window.location.hash.split("#")[1]});if(m.length){d.triggerSlide.call(m.children("h2")[0],n)}})}if(h.pauseOnHover&&h.autoPlay){g.on("mouseover.liteAccordion",function(){d.playing&&e.stop()}).on("mouseout.liteAccordion",function(){!d.playing&&e.play(d.currentSlide)})}},currentSlide:h.firstSlide-1,nextSlide:function(m){var n=m+1||d.currentSlide+1;return function(){return n++%k}},playing:0,slideAnimCompleteFlag:false,triggerSlide:function(o){var n=b(this),m={elem:n,index:j.index(n),next:n.next(),prev:n.parent().prev().children("h2"),parent:n.parent()};if(h.linkable&&m.parent.attr("data-slide-name")){if(m.parent.attr("data-slide-name")!==window.location.hash.split("#")[1]){return window.location.hash="#"+m.parent.attr("data-slide-name")}}d.currentSlide=m.index;d.slideAnimCompleteFlag=false;h.onTriggerSlide.call(m.next,n);if(n.hasClass("selected")&&n.position().left<f/2){d.animSlide.call(m)}else{d.animSlideGroup(m)}if(h.autoPlay){e.stop();e.play(j.index(j.filter(".selected")))}},animSlide:function(m){var n=this;if(typeof this.pos==="undefined"){this.pos=f}j.removeClass("selected").filter(this.elem).addClass("selected");if(!!this.index){this.elem.add(this.next).stop(true).animate({left:this.pos+this.index*h.headerWidth},h.slideSpeed,h.easing,function(){if(!d.slideAnimCompleteFlag){h.onSlideAnimComplete.call(m?m.next:n.prev.next());d.slideAnimCompleteFlag=true}});j.removeClass("selected").filter(this.prev).addClass("selected")}},animSlideGroup:function(m){var n=["left","right"];b.each(n,function(o,p){var r,q;if(p==="left"){r=":lt("+(m.index+1)+")";q=0}else{r=":gt("+m.index+")";q=f}c.filter(r).children("h2").each(function(){var t=b(this),s={elem:t,index:j.index(t),next:t.next(),prev:t.parent().prev().children("h2"),pos:q};d.animSlide.call(s,m)})});j.removeClass("selected").filter(m.elem).addClass("selected")},ieClass:function(m){if(m<7){e.destroy()}if(m>=10){return}if(m===7||m===8){c.each(function(n){b(this).addClass("slide-"+n)})}g.addClass("ie ie"+m)},init:function(){var n=navigator.userAgent,m=n.indexOf("MSIE");if(m!==-1){n=n.slice(m+5,m+7);d.ieClass(+n)}d.setStyles();d.bindEvents();if(h.cycleSpeed<h.slideSpeed){h.cycleSpeed=h.slideSpeed}h.autoPlay&&e.play()}};d.init();return e};b.fn.liteAccordion=function(e){var d=this,c=d.data("liteAccordion");if(typeof e==="object"||!e){return d.each(function(){var f;if(c){return}f=new a(d,e);d.data("liteAccordion",f)})}else{if(typeof e==="string"&&c[e]){if(e==="debug"){return c[e].call(d)}else{c[e].call(d);return d}}}}})(jQuery);
/*
 SlidesJS 3.0.4 http://slidesjs.com
 (c) 2013 by Nathan Searles http://nathansearles.com
 Updated: June 26th, 2013
 Apache License: http://www.apache.org/licenses/LICENSE-2.0
 */
(function(){(function(e,t,n){var r,i,s;s="slidesjs";i={width:940,height:528,start:1,navigation:{active:!0,effect:"slide"},pagination:{active:!0,effect:"slide"},play:{active:!1,effect:"slide",interval:5e3,auto:!1,swap:!0,pauseOnHover:!1,restartDelay:2500},effect:{slide:{speed:500},fade:{speed:300,crossfade:!0}},callback:{loaded:function(){},start:function(){},complete:function(){}}};r=function(){function t(t,n){this.element=t;this.options=e.extend(!0,{},i,n);this._defaults=i;this._name=s;this.init()}return t}();r.prototype.init=function(){var n,r,i,s,o,u,a=this;n=e(this.element);this.data=e.data(this);e.data(this,"animating",!1);e.data(this,"total",n.children().not(".slidesjs-navigation",n).length);e.data(this,"current",this.options.start-1);e.data(this,"vendorPrefix",this._getVendorPrefix());if(typeof TouchEvent!="undefined"){e.data(this,"touch",!0);this.options.effect.slide.speed=this.options.effect.slide.speed/2}n.css({overflow:"hidden"});n.slidesContainer=n.children().not(".slidesjs-navigation",n).wrapAll("<div class='slidesjs-container'>",n).parent().css({overflow:"hidden",position:"relative"});e(".slidesjs-container",n).wrapInner("<div class='slidesjs-control'>",n).children();e(".slidesjs-control",n).css({position:"relative",left:0});e(".slidesjs-control",n).children().addClass("slidesjs-slide").css({position:"absolute",top:0,left:0,width:"100%",zIndex:0,display:"none",webkitBackfaceVisibility:"hidden"});e.each(e(".slidesjs-control",n).children(),function(t){var n;n=e(this);return n.attr("slidesjs-index",t)});if(this.data.touch){e(".slidesjs-control",n).on("touchstart",function(e){return a._touchstart(e)});e(".slidesjs-control",n).on("touchmove",function(e){return a._touchmove(e)});e(".slidesjs-control",n).on("touchend",function(e){return a._touchend(e)})}n.fadeIn(0);this.update();this.data.touch&&this._setuptouch();e(".slidesjs-control",n).children(":eq("+this.data.current+")").eq(0).fadeIn(0,function(){return e(this).css({zIndex:10})});if(this.options.navigation.active){o=e("<a>",{"class":"slidesjs-previous slidesjs-navigation",href:"#",title:"Previous",text:"<"}).appendTo(n);r=e("<a>",{"class":"slidesjs-next slidesjs-navigation",href:"#",title:"Next",text:">"}).appendTo(n)}e(".slidesjs-next",n).click(function(e){e.preventDefault();a.stop(!0);return a.next(a.options.navigation.effect)});e(".slidesjs-previous",n).click(function(e){e.preventDefault();a.stop(!0);return a.previous(a.options.navigation.effect)});if(this.options.play.active){s=e("<a>",{"class":"slidesjs-play slidesjs-navigation",href:"#",title:"Play",text:"Play"}).appendTo(n);u=e("<a>",{"class":"slidesjs-stop slidesjs-navigation",href:"#",title:"Stop",text:"Stop"}).appendTo(n);s.click(function(e){e.preventDefault();return a.play(!0)});u.click(function(e){e.preventDefault();return a.stop(!0)});this.options.play.swap&&u.css({display:"none"})}if(this.options.pagination.active){i=e("<ul>",{"class":"slidesjs-pagination"}).appendTo(n);e.each(new Array(this.data.total),function(t){var n,r;n=e("<li>",{"class":"slidesjs-pagination-item"}).appendTo(i);r=e("<a>",{href:"#","data-slidesjs-item":t,html:t+1}).appendTo(n);return r.click(function(t){t.preventDefault();a.stop(!0);return a.goto(e(t.currentTarget).attr("data-slidesjs-item")*1+1)})})}e(t).bind("resize",function(){return a.update()});this._setActive();this.options.play.auto&&this.play();return this.options.callback.loaded(this.options.start)};r.prototype._setActive=function(t){var n,r;n=e(this.element);this.data=e.data(this);r=t>-1?t:this.data.current;e(".active",n).removeClass("active");return e(".slidesjs-pagination li:eq("+r+") a",n).addClass("active")};r.prototype.update=function(){var t,n,r;t=e(this.element);this.data=e.data(this);e(".slidesjs-control",t).children(":not(:eq("+this.data.current+"))").css({display:"none",left:0,zIndex:0});r=t.width();n=this.options.height/this.options.width*r;this.options.width=r;this.options.height=n;return e(".slidesjs-control, .slidesjs-container",t).css({width:r,height:n})};r.prototype.next=function(t){var n;n=e(this.element);this.data=e.data(this);e.data(this,"direction","next");t===void 0&&(t=this.options.navigation.effect);return t==="fade"?this._fade():this._slide()};r.prototype.previous=function(t){var n;n=e(this.element);this.data=e.data(this);e.data(this,"direction","previous");t===void 0&&(t=this.options.navigation.effect);return t==="fade"?this._fade():this._slide()};r.prototype.goto=function(t){var n,r;n=e(this.element);this.data=e.data(this);r===void 0&&(r=this.options.pagination.effect);t>this.data.total?t=this.data.total:t<1&&(t=1);if(typeof t=="number")return r==="fade"?this._fade(t):this._slide(t);if(typeof t=="string"){if(t==="first")return r==="fade"?this._fade(0):this._slide(0);if(t==="last")return r==="fade"?this._fade(this.data.total):this._slide(this.data.total)}};r.prototype._setuptouch=function(){var t,n,r,i;t=e(this.element);this.data=e.data(this);i=e(".slidesjs-control",t);n=this.data.current+1;r=this.data.current-1;r<0&&(r=this.data.total-1);n>this.data.total-1&&(n=0);i.children(":eq("+n+")").css({display:"block",left:this.options.width});return i.children(":eq("+r+")").css({display:"block",left:-this.options.width})};r.prototype._touchstart=function(t){var n,r;n=e(this.element);this.data=e.data(this);r=t.originalEvent.touches[0];this._setuptouch();e.data(this,"touchtimer",Number(new Date));e.data(this,"touchstartx",r.pageX);e.data(this,"touchstarty",r.pageY);return t.stopPropagation()};r.prototype._touchend=function(t){var n,r,i,s,o,u,a,f=this;n=e(this.element);this.data=e.data(this);u=t.originalEvent.touches[0];s=e(".slidesjs-control",n);if(s.position().left>this.options.width*.5||s.position().left>this.options.width*.1&&Number(new Date)-this.data.touchtimer<250){e.data(this,"direction","previous");this._slide()}else if(s.position().left<-(this.options.width*.5)||s.position().left<-(this.options.width*.1)&&Number(new Date)-this.data.touchtimer<250){e.data(this,"direction","next");this._slide()}else{i=this.data.vendorPrefix;a=i+"Transform";r=i+"TransitionDuration";o=i+"TransitionTimingFunction";s[0].style[a]="translateX(0px)";s[0].style[r]=this.options.effect.slide.speed*.85+"ms"}s.on("transitionend webkitTransitionEnd oTransitionEnd otransitionend MSTransitionEnd",function(){i=f.data.vendorPrefix;a=i+"Transform";r=i+"TransitionDuration";o=i+"TransitionTimingFunction";s[0].style[a]="";s[0].style[r]="";return s[0].style[o]=""});return t.stopPropagation()};r.prototype._touchmove=function(t){var n,r,i,s,o;n=e(this.element);this.data=e.data(this);s=t.originalEvent.touches[0];r=this.data.vendorPrefix;i=e(".slidesjs-control",n);o=r+"Transform";e.data(this,"scrolling",Math.abs(s.pageX-this.data.touchstartx)<Math.abs(s.pageY-this.data.touchstarty));if(!this.data.animating&&!this.data.scrolling){t.preventDefault();this._setuptouch();i[0].style[o]="translateX("+(s.pageX-this.data.touchstartx)+"px)"}return t.stopPropagation()};r.prototype.play=function(t){var n,r,i,s=this;n=e(this.element);this.data=e.data(this);if(!this.data.playInterval){if(t){r=this.data.current;this.data.direction="next";this.options.play.effect==="fade"?this._fade():this._slide()}e.data(this,"playInterval",setInterval(function(){r=s.data.current;s.data.direction="next";return s.options.play.effect==="fade"?s._fade():s._slide()},this.options.play.interval));i=e(".slidesjs-container",n);if(this.options.play.pauseOnHover){i.unbind();i.bind("mouseenter",function(){return s.stop()});i.bind("mouseleave",function(){return s.options.play.restartDelay?e.data(s,"restartDelay",setTimeout(function(){return s.play(!0)},s.options.play.restartDelay)):s.play()})}e.data(this,"playing",!0);e(".slidesjs-play",n).addClass("slidesjs-playing");if(this.options.play.swap){e(".slidesjs-play",n).hide();return e(".slidesjs-stop",n).show()}}};r.prototype.stop=function(t){var n;n=e(this.element);this.data=e.data(this);clearInterval(this.data.playInterval);this.options.play.pauseOnHover&&t&&e(".slidesjs-container",n).unbind();e.data(this,"playInterval",null);e.data(this,"playing",!1);e(".slidesjs-play",n).removeClass("slidesjs-playing");if(this.options.play.swap){e(".slidesjs-stop",n).hide();return e(".slidesjs-play",n).show()}};r.prototype._slide=function(t){var n,r,i,s,o,u,a,f,l,c,h=this;n=e(this.element);this.data=e.data(this);if(!this.data.animating&&t!==this.data.current+1){e.data(this,"animating",!0);r=this.data.current;if(t>-1){t-=1;c=t>r?1:-1;i=t>r?-this.options.width:this.options.width;o=t}else{c=this.data.direction==="next"?1:-1;i=this.data.direction==="next"?-this.options.width:this.options.width;o=r+c}o===-1&&(o=this.data.total-1);o===this.data.total&&(o=0);this._setActive(o);a=e(".slidesjs-control",n);t>-1&&a.children(":not(:eq("+r+"))").css({display:"none",left:0,zIndex:0});a.children(":eq("+o+")").css({display:"block",left:c*this.options.width,zIndex:10});this.options.callback.start(r+1);if(this.data.vendorPrefix){u=this.data.vendorPrefix;l=u+"Transform";s=u+"TransitionDuration";f=u+"TransitionTimingFunction";a[0].style[l]="translateX("+i+"px)";a[0].style[s]=this.options.effect.slide.speed+"ms";return a.on("transitionend webkitTransitionEnd oTransitionEnd otransitionend MSTransitionEnd",function(){a[0].style[l]="";a[0].style[s]="";a.children(":eq("+o+")").css({left:0});a.children(":eq("+r+")").css({display:"none",left:0,zIndex:0});e.data(h,"current",o);e.data(h,"animating",!1);a.unbind("transitionend webkitTransitionEnd oTransitionEnd otransitionend MSTransitionEnd");a.children(":not(:eq("+o+"))").css({display:"none",left:0,zIndex:0});h.data.touch&&h._setuptouch();return h.options.callback.complete(o+1)})}return a.stop().animate({left:i},this.options.effect.slide.speed,function(){a.css({left:0});a.children(":eq("+o+")").css({left:0});return a.children(":eq("+r+")").css({display:"none",left:0,zIndex:0},e.data(h,"current",o),e.data(h,"animating",!1),h.options.callback.complete(o+1))})}};r.prototype._fade=function(t){var n,r,i,s,o,u=this;n=e(this.element);this.data=e.data(this);if(!this.data.animating&&t!==this.data.current+1){e.data(this,"animating",!0);r=this.data.current;if(t){t-=1;o=t>r?1:-1;i=t}else{o=this.data.direction==="next"?1:-1;i=r+o}i===-1&&(i=this.data.total-1);i===this.data.total&&(i=0);this._setActive(i);s=e(".slidesjs-control",n);s.children(":eq("+i+")").css({display:"none",left:0,zIndex:10});this.options.callback.start(r+1);if(this.options.effect.fade.crossfade){s.children(":eq("+this.data.current+")").stop().fadeOut(this.options.effect.fade.speed);return s.children(":eq("+i+")").stop().fadeIn(this.options.effect.fade.speed,function(){s.children(":eq("+i+")").css({zIndex:0});e.data(u,"animating",!1);e.data(u,"current",i);return u.options.callback.complete(i+1)})}return s.children(":eq("+r+")").stop().fadeOut(this.options.effect.fade.speed,function(){s.children(":eq("+i+")").stop().fadeIn(u.options.effect.fade.speed,function(){return s.children(":eq("+i+")").css({zIndex:10})});e.data(u,"animating",!1);e.data(u,"current",i);return u.options.callback.complete(i+1)})}};r.prototype._getVendorPrefix=function(){var e,t,r,i,s;e=n.body||n.documentElement;r=e.style;i="transition";s=["Moz","Webkit","Khtml","O","ms"];i=i.charAt(0).toUpperCase()+i.substr(1);t=0;while(t<s.length){if(typeof r[s[t]+i]=="string")return s[t];t++}return!1};return e.fn[s]=function(t){return this.each(function(){if(!e.data(this,"plugin_"+s))return e.data(this,"plugin_"+s,new r(this,t))})}})(jQuery,window,document)}).call(this);
!function(a){"use strict";function b(a,b){var c=(65535&a)+(65535&b),d=(a>>16)+(b>>16)+(c>>16);return d<<16|65535&c}function c(a,b){return a<<b|a>>>32-b}function d(a,d,e,f,g,h){return b(c(b(b(d,a),b(f,h)),g),e)}function e(a,b,c,e,f,g,h){return d(b&c|~b&e,a,b,f,g,h)}function f(a,b,c,e,f,g,h){return d(b&e|c&~e,a,b,f,g,h)}function g(a,b,c,e,f,g,h){return d(b^c^e,a,b,f,g,h)}function h(a,b,c,e,f,g,h){return d(c^(b|~e),a,b,f,g,h)}function i(a,c){a[c>>5]|=128<<c%32,a[(c+64>>>9<<4)+14]=c;var d,i,j,k,l,m=1732584193,n=-271733879,o=-1732584194,p=271733878;for(d=0;d<a.length;d+=16)i=m,j=n,k=o,l=p,m=e(m,n,o,p,a[d],7,-680876936),p=e(p,m,n,o,a[d+1],12,-389564586),o=e(o,p,m,n,a[d+2],17,606105819),n=e(n,o,p,m,a[d+3],22,-1044525330),m=e(m,n,o,p,a[d+4],7,-176418897),p=e(p,m,n,o,a[d+5],12,1200080426),o=e(o,p,m,n,a[d+6],17,-1473231341),n=e(n,o,p,m,a[d+7],22,-45705983),m=e(m,n,o,p,a[d+8],7,1770035416),p=e(p,m,n,o,a[d+9],12,-1958414417),o=e(o,p,m,n,a[d+10],17,-42063),n=e(n,o,p,m,a[d+11],22,-1990404162),m=e(m,n,o,p,a[d+12],7,1804603682),p=e(p,m,n,o,a[d+13],12,-40341101),o=e(o,p,m,n,a[d+14],17,-1502002290),n=e(n,o,p,m,a[d+15],22,1236535329),m=f(m,n,o,p,a[d+1],5,-165796510),p=f(p,m,n,o,a[d+6],9,-1069501632),o=f(o,p,m,n,a[d+11],14,643717713),n=f(n,o,p,m,a[d],20,-373897302),m=f(m,n,o,p,a[d+5],5,-701558691),p=f(p,m,n,o,a[d+10],9,38016083),o=f(o,p,m,n,a[d+15],14,-660478335),n=f(n,o,p,m,a[d+4],20,-405537848),m=f(m,n,o,p,a[d+9],5,568446438),p=f(p,m,n,o,a[d+14],9,-1019803690),o=f(o,p,m,n,a[d+3],14,-187363961),n=f(n,o,p,m,a[d+8],20,1163531501),m=f(m,n,o,p,a[d+13],5,-1444681467),p=f(p,m,n,o,a[d+2],9,-51403784),o=f(o,p,m,n,a[d+7],14,1735328473),n=f(n,o,p,m,a[d+12],20,-1926607734),m=g(m,n,o,p,a[d+5],4,-378558),p=g(p,m,n,o,a[d+8],11,-2022574463),o=g(o,p,m,n,a[d+11],16,1839030562),n=g(n,o,p,m,a[d+14],23,-35309556),m=g(m,n,o,p,a[d+1],4,-1530992060),p=g(p,m,n,o,a[d+4],11,1272893353),o=g(o,p,m,n,a[d+7],16,-155497632),n=g(n,o,p,m,a[d+10],23,-1094730640),m=g(m,n,o,p,a[d+13],4,681279174),p=g(p,m,n,o,a[d],11,-358537222),o=g(o,p,m,n,a[d+3],16,-722521979),n=g(n,o,p,m,a[d+6],23,76029189),m=g(m,n,o,p,a[d+9],4,-640364487),p=g(p,m,n,o,a[d+12],11,-421815835),o=g(o,p,m,n,a[d+15],16,530742520),n=g(n,o,p,m,a[d+2],23,-995338651),m=h(m,n,o,p,a[d],6,-198630844),p=h(p,m,n,o,a[d+7],10,1126891415),o=h(o,p,m,n,a[d+14],15,-1416354905),n=h(n,o,p,m,a[d+5],21,-57434055),m=h(m,n,o,p,a[d+12],6,1700485571),p=h(p,m,n,o,a[d+3],10,-1894986606),o=h(o,p,m,n,a[d+10],15,-1051523),n=h(n,o,p,m,a[d+1],21,-2054922799),m=h(m,n,o,p,a[d+8],6,1873313359),p=h(p,m,n,o,a[d+15],10,-30611744),o=h(o,p,m,n,a[d+6],15,-1560198380),n=h(n,o,p,m,a[d+13],21,1309151649),m=h(m,n,o,p,a[d+4],6,-145523070),p=h(p,m,n,o,a[d+11],10,-1120210379),o=h(o,p,m,n,a[d+2],15,718787259),n=h(n,o,p,m,a[d+9],21,-343485551),m=b(m,i),n=b(n,j),o=b(o,k),p=b(p,l);return[m,n,o,p]}function j(a){var b,c="";for(b=0;b<32*a.length;b+=8)c+=String.fromCharCode(a[b>>5]>>>b%32&255);return c}function k(a){var b,c=[];for(c[(a.length>>2)-1]=void 0,b=0;b<c.length;b+=1)c[b]=0;for(b=0;b<8*a.length;b+=8)c[b>>5]|=(255&a.charCodeAt(b/8))<<b%32;return c}function l(a){return j(i(k(a),8*a.length))}function m(a,b){var c,d,e=k(a),f=[],g=[];for(f[15]=g[15]=void 0,e.length>16&&(e=i(e,8*a.length)),c=0;16>c;c+=1)f[c]=909522486^e[c],g[c]=1549556828^e[c];return d=i(f.concat(k(b)),512+8*b.length),j(i(g.concat(d),640))}function n(a){var b,c,d="0123456789abcdef",e="";for(c=0;c<a.length;c+=1)b=a.charCodeAt(c),e+=d.charAt(b>>>4&15)+d.charAt(15&b);return e}function o(a){return unescape(encodeURIComponent(a))}function p(a){return l(o(a))}function q(a){return n(p(a))}function r(a,b){return m(o(a),o(b))}function s(a,b){return n(r(a,b))}function t(a,b,c){return b?c?r(b,a):s(b,a):c?p(a):q(a)}"function"==typeof define&&define.amd?define(function(){return t}):a.md5=t}(this);
/*!
 * SuperSlide v2.1.1
 * 轻松解决网站大部分特效展示问题
 * 详尽信息请看官网：http://www.SuperSlide2.com/
 *
 * Copyright 2011-2013, 大话主席
 *
 * 请尊重原创，保留头部版权
 * 在保留版权的前提下可应用于个人或商业用途

 * v2.1.1：修复当调用多个SuperSlide，并设置returnDefault:true 时返回defaultIndex索引错误

 */

!function(a){a.fn.slide=function(b){return a.fn.slide.defaults={type:"slide",effect:"fade",autoPlay:!1,delayTime:500,interTime:2500,triggerTime:150,defaultIndex:0,titCell:".hd li",mainCell:".bd",targetCell:null,trigger:"mouseover",scroll:1,vis:1,titOnClassName:"on",autoPage:!1,prevCell:".prev",nextCell:".next",pageStateCell:".pageState",opp:!1,pnLoop:!0,easing:"swing",startFun:null,endFun:null,switchLoad:null,playStateCell:".playState",mouseOverStop:!0,defaultPlay:!0,returnDefault:!1},this.each(function(){var c=a.extend({},a.fn.slide.defaults,b),d=a(this),e=c.effect,f=a(c.prevCell,d),g=a(c.nextCell,d),h=a(c.pageStateCell,d),i=a(c.playStateCell,d),j=a(c.titCell,d),k=j.size(),l=a(c.mainCell,d),m=l.children().size(),n=c.switchLoad,o=a(c.targetCell,d),p=parseInt(c.defaultIndex),q=parseInt(c.delayTime),r=parseInt(c.interTime);parseInt(c.triggerTime);var Q,t=parseInt(c.scroll),u=parseInt(c.vis),v="false"==c.autoPlay||0==c.autoPlay?!1:!0,w="false"==c.opp||0==c.opp?!1:!0,x="false"==c.autoPage||0==c.autoPage?!1:!0,y="false"==c.pnLoop||0==c.pnLoop?!1:!0,z="false"==c.mouseOverStop||0==c.mouseOverStop?!1:!0,A="false"==c.defaultPlay||0==c.defaultPlay?!1:!0,B="false"==c.returnDefault||0==c.returnDefault?!1:!0,C=0,D=0,E=0,F=0,G=c.easing,H=null,I=null,J=null,K=c.titOnClassName,L=j.index(d.find("."+K)),M=p=-1==L?p:L,N=p,O=p,P=m>=u?0!=m%t?m%t:t:0,R="leftMarquee"==e||"topMarquee"==e?!0:!1,S=function(){a.isFunction(c.startFun)&&c.startFun(p,k,d,a(c.titCell,d),l,o,f,g)},T=function(){a.isFunction(c.endFun)&&c.endFun(p,k,d,a(c.titCell,d),l,o,f,g)},U=function(){j.removeClass(K),A&&j.eq(N).addClass(K)};if("menu"==c.type)return A&&j.removeClass(K).eq(p).addClass(K),j.hover(function(){Q=a(this).find(c.targetCell);var b=j.index(a(this));I=setTimeout(function(){switch(p=b,j.removeClass(K).eq(p).addClass(K),S(),e){case"fade":Q.stop(!0,!0).animate({opacity:"show"},q,G,T);break;case"slideDown":Q.stop(!0,!0).animate({height:"show"},q,G,T)}},c.triggerTime)},function(){switch(clearTimeout(I),e){case"fade":Q.animate({opacity:"hide"},q,G);break;case"slideDown":Q.animate({height:"hide"},q,G)}}),B&&d.hover(function(){clearTimeout(J)},function(){J=setTimeout(U,q)}),void 0;if(0==k&&(k=m),R&&(k=2),x){if(m>=u)if("leftLoop"==e||"topLoop"==e)k=0!=m%t?(0^m/t)+1:m/t;else{var V=m-u;k=1+parseInt(0!=V%t?V/t+1:V/t),0>=k&&(k=1)}else k=1;j.html("");var W="";if(1==c.autoPage||"true"==c.autoPage)for(var X=0;k>X;X++)W+="<li>"+(X+1)+"</li>";else for(var X=0;k>X;X++)W+=c.autoPage.replace("$",X+1);j.html(W);var j=j.children()}if(m>=u){l.children().each(function(){a(this).width()>E&&(E=a(this).width(),D=a(this).outerWidth(!0)),a(this).height()>F&&(F=a(this).height(),C=a(this).outerHeight(!0))});var Y=l.children(),Z=function(){for(var a=0;u>a;a++)Y.eq(a).clone().addClass("clone").appendTo(l);for(var a=0;P>a;a++)Y.eq(m-a-1).clone().addClass("clone").prependTo(l)};switch(e){case"fold":l.css({position:"relative",width:D,height:C}).children().css({position:"absolute",width:E,left:0,top:0,display:"none"});break;case"top":l.wrap('<div class="tempWrap" style="overflow:hidden; position:relative; height:'+u*C+'px"></div>').css({top:-(p*t)*C,position:"relative",padding:"0",margin:"0"}).children().css({height:F});break;case"left":l.wrap('<div class="tempWrap" style="overflow:hidden; position:relative; width:'+u*D+'px"></div>').css({width:m*D,left:-(p*t)*D,position:"relative",overflow:"hidden",padding:"0",margin:"0"}).children().css({"float":"left",width:E});break;case"leftLoop":case"leftMarquee":Z(),l.wrap('<div class="tempWrap" style="overflow:hidden; position:relative; width:'+u*D+'px"></div>').css({width:(m+u+P)*D,position:"relative",overflow:"hidden",padding:"0",margin:"0",left:-(P+p*t)*D}).children().css({"float":"left",width:E});break;case"topLoop":case"topMarquee":Z(),l.wrap('<div class="tempWrap" style="overflow:hidden; position:relative; height:'+u*C+'px"></div>').css({height:(m+u+P)*C,position:"relative",padding:"0",margin:"0",top:-(P+p*t)*C}).children().css({height:F})}}var $=function(a){var b=a*t;return a==k?b=m:-1==a&&0!=m%t&&(b=-m%t),b},_=function(b){var c=function(c){for(var d=c;u+c>d;d++)b.eq(d).find("img["+n+"]").each(function(){var b=a(this);if(b.attr("src",b.attr(n)).removeAttr(n),l.find(".clone")[0])for(var c=l.children(),d=0;d<c.size();d++)c.eq(d).find("img["+n+"]").each(function(){a(this).attr(n)==b.attr("src")&&a(this).attr("src",a(this).attr(n)).removeAttr(n)})})};switch(e){case"fade":case"fold":case"top":case"left":case"slideDown":c(p*t);break;case"leftLoop":case"topLoop":c(P+$(O));break;case"leftMarquee":case"topMarquee":var d="leftMarquee"==e?l.css("left").replace("px",""):l.css("top").replace("px",""),f="leftMarquee"==e?D:C,g=P;if(0!=d%f){var h=Math.abs(0^d/f);g=1==p?P+h:P+h-1}c(g)}},ab=function(a){if(!A||M!=p||a||R){if(R?p>=1?p=1:0>=p&&(p=0):(O=p,p>=k?p=0:0>p&&(p=k-1)),S(),null!=n&&_(l.children()),o[0]&&(Q=o.eq(p),null!=n&&_(o),"slideDown"==e?(o.not(Q).stop(!0,!0).slideUp(q),Q.slideDown(q,G,function(){l[0]||T()})):(o.not(Q).stop(!0,!0).hide(),Q.animate({opacity:"show"},q,function(){l[0]||T()}))),m>=u)switch(e){case"fade":l.children().stop(!0,!0).eq(p).animate({opacity:"show"},q,G,function(){T()}).siblings().hide();break;case"fold":l.children().stop(!0,!0).eq(p).animate({opacity:"show"},q,G,function(){T()}).siblings().animate({opacity:"hide"},q,G);break;case"top":l.stop(!0,!1).animate({top:-p*t*C},q,G,function(){T()});break;case"left":l.stop(!0,!1).animate({left:-p*t*D},q,G,function(){T()});break;case"leftLoop":var b=O;l.stop(!0,!0).animate({left:-($(O)+P)*D},q,G,function(){-1>=b?l.css("left",-(P+(k-1)*t)*D):b>=k&&l.css("left",-P*D),T()});break;case"topLoop":var b=O;l.stop(!0,!0).animate({top:-($(O)+P)*C},q,G,function(){-1>=b?l.css("top",-(P+(k-1)*t)*C):b>=k&&l.css("top",-P*C),T()});break;case"leftMarquee":var c=l.css("left").replace("px","");0==p?l.animate({left:++c},0,function(){l.css("left").replace("px","")>=0&&l.css("left",-m*D)}):l.animate({left:--c},0,function(){l.css("left").replace("px","")<=-(m+P)*D&&l.css("left",-P*D)});break;case"topMarquee":var d=l.css("top").replace("px","");0==p?l.animate({top:++d},0,function(){l.css("top").replace("px","")>=0&&l.css("top",-m*C)}):l.animate({top:--d},0,function(){l.css("top").replace("px","")<=-(m+P)*C&&l.css("top",-P*C)})}j.removeClass(K).eq(p).addClass(K),M=p,y||(g.removeClass("nextStop"),f.removeClass("prevStop"),0==p&&f.addClass("prevStop"),p==k-1&&g.addClass("nextStop")),h.html("<span>"+(p+1)+"</span>/"+k)}};A&&ab(!0),B&&d.hover(function(){clearTimeout(J)},function(){J=setTimeout(function(){p=N,A?ab():"slideDown"==e?Q.slideUp(q,U):Q.animate({opacity:"hide"},q,U),M=p},300)});var bb=function(a){H=setInterval(function(){w?p--:p++,ab()},a?a:r)},cb=function(a){H=setInterval(ab,a?a:r)},db=function(){z||(clearInterval(H),bb())},eb=function(){(y||p!=k-1)&&(p++,ab(),R||db())},fb=function(){(y||0!=p)&&(p--,ab(),R||db())},gb=function(){clearInterval(H),R?cb():bb(),i.removeClass("pauseState")},hb=function(){clearInterval(H),i.addClass("pauseState")};if(v?R?(w?p--:p++,cb(),z&&l.hover(hb,gb)):(bb(),z&&d.hover(hb,gb)):(R&&(w?p--:p++),i.addClass("pauseState")),i.click(function(){i.hasClass("pauseState")?gb():hb()}),"mouseover"==c.trigger?j.hover(function(){var a=j.index(this);I=setTimeout(function(){p=a,ab(),db()},c.triggerTime)},function(){clearTimeout(I)}):j.click(function(){p=j.index(this),ab(),db()}),R){if(g.mousedown(eb),f.mousedown(fb),y){var ib,jb=function(){ib=setTimeout(function(){clearInterval(H),cb(0^r/10)},150)},kb=function(){clearTimeout(ib),clearInterval(H),cb()};g.mousedown(jb),g.mouseup(kb),f.mousedown(jb),f.mouseup(kb)}"mouseover"==c.trigger&&(g.hover(eb,function(){}),f.hover(fb,function(){}))}else g.click(eb),f.click(fb)})}}(jQuery),jQuery.easing.jswing=jQuery.easing.swing,jQuery.extend(jQuery.easing,{def:"easeOutQuad",swing:function(a,b,c,d,e){return jQuery.easing[jQuery.easing.def](a,b,c,d,e)},easeInQuad:function(a,b,c,d,e){return d*(b/=e)*b+c},easeOutQuad:function(a,b,c,d,e){return-d*(b/=e)*(b-2)+c},easeInOutQuad:function(a,b,c,d,e){return(b/=e/2)<1?d/2*b*b+c:-d/2*(--b*(b-2)-1)+c},easeInCubic:function(a,b,c,d,e){return d*(b/=e)*b*b+c},easeOutCubic:function(a,b,c,d,e){return d*((b=b/e-1)*b*b+1)+c},easeInOutCubic:function(a,b,c,d,e){return(b/=e/2)<1?d/2*b*b*b+c:d/2*((b-=2)*b*b+2)+c},easeInQuart:function(a,b,c,d,e){return d*(b/=e)*b*b*b+c},easeOutQuart:function(a,b,c,d,e){return-d*((b=b/e-1)*b*b*b-1)+c},easeInOutQuart:function(a,b,c,d,e){return(b/=e/2)<1?d/2*b*b*b*b+c:-d/2*((b-=2)*b*b*b-2)+c},easeInQuint:function(a,b,c,d,e){return d*(b/=e)*b*b*b*b+c},easeOutQuint:function(a,b,c,d,e){return d*((b=b/e-1)*b*b*b*b+1)+c},easeInOutQuint:function(a,b,c,d,e){return(b/=e/2)<1?d/2*b*b*b*b*b+c:d/2*((b-=2)*b*b*b*b+2)+c},easeInSine:function(a,b,c,d,e){return-d*Math.cos(b/e*(Math.PI/2))+d+c},easeOutSine:function(a,b,c,d,e){return d*Math.sin(b/e*(Math.PI/2))+c},easeInOutSine:function(a,b,c,d,e){return-d/2*(Math.cos(Math.PI*b/e)-1)+c},easeInExpo:function(a,b,c,d,e){return 0==b?c:d*Math.pow(2,10*(b/e-1))+c},easeOutExpo:function(a,b,c,d,e){return b==e?c+d:d*(-Math.pow(2,-10*b/e)+1)+c},easeInOutExpo:function(a,b,c,d,e){return 0==b?c:b==e?c+d:(b/=e/2)<1?d/2*Math.pow(2,10*(b-1))+c:d/2*(-Math.pow(2,-10*--b)+2)+c},easeInCirc:function(a,b,c,d,e){return-d*(Math.sqrt(1-(b/=e)*b)-1)+c},easeOutCirc:function(a,b,c,d,e){return d*Math.sqrt(1-(b=b/e-1)*b)+c},easeInOutCirc:function(a,b,c,d,e){return(b/=e/2)<1?-d/2*(Math.sqrt(1-b*b)-1)+c:d/2*(Math.sqrt(1-(b-=2)*b)+1)+c},easeInElastic:function(a,b,c,d,e){var f=1.70158,g=0,h=d;if(0==b)return c;if(1==(b/=e))return c+d;if(g||(g=.3*e),h<Math.abs(d)){h=d;var f=g/4}else var f=g/(2*Math.PI)*Math.asin(d/h);return-(h*Math.pow(2,10*(b-=1))*Math.sin((b*e-f)*2*Math.PI/g))+c},easeOutElastic:function(a,b,c,d,e){var f=1.70158,g=0,h=d;if(0==b)return c;if(1==(b/=e))return c+d;if(g||(g=.3*e),h<Math.abs(d)){h=d;var f=g/4}else var f=g/(2*Math.PI)*Math.asin(d/h);return h*Math.pow(2,-10*b)*Math.sin((b*e-f)*2*Math.PI/g)+d+c},easeInOutElastic:function(a,b,c,d,e){var f=1.70158,g=0,h=d;if(0==b)return c;if(2==(b/=e/2))return c+d;if(g||(g=e*.3*1.5),h<Math.abs(d)){h=d;var f=g/4}else var f=g/(2*Math.PI)*Math.asin(d/h);return 1>b?-.5*h*Math.pow(2,10*(b-=1))*Math.sin((b*e-f)*2*Math.PI/g)+c:.5*h*Math.pow(2,-10*(b-=1))*Math.sin((b*e-f)*2*Math.PI/g)+d+c},easeInBack:function(a,b,c,d,e,f){return void 0==f&&(f=1.70158),d*(b/=e)*b*((f+1)*b-f)+c},easeOutBack:function(a,b,c,d,e,f){return void 0==f&&(f=1.70158),d*((b=b/e-1)*b*((f+1)*b+f)+1)+c},easeInOutBack:function(a,b,c,d,e,f){return void 0==f&&(f=1.70158),(b/=e/2)<1?d/2*b*b*(((f*=1.525)+1)*b-f)+c:d/2*((b-=2)*b*(((f*=1.525)+1)*b+f)+2)+c},easeInBounce:function(a,b,c,d,e){return d-jQuery.easing.easeOutBounce(a,e-b,0,d,e)+c},easeOutBounce:function(a,b,c,d,e){return(b/=e)<1/2.75?d*7.5625*b*b+c:2/2.75>b?d*(7.5625*(b-=1.5/2.75)*b+.75)+c:2.5/2.75>b?d*(7.5625*(b-=2.25/2.75)*b+.9375)+c:d*(7.5625*(b-=2.625/2.75)*b+.984375)+c},easeInOutBounce:function(a,b,c,d,e){return e/2>b?.5*jQuery.easing.easeInBounce(a,2*b,0,d,e)+c:.5*jQuery.easing.easeOutBounce(a,2*b-e,0,d,e)+.5*d+c}});
(function($) {
    var Marquee;

    Marquee = (function() {
        function Marquee(element, options) {
            this.elements = {
                wrap: element,
                ul: element.children(),
                li: element.children().children()
            };
            this.settings = $.extend({}, $.fn.marquee.defaults, options);
            this.cache = {
                allowMarquee: true
            };
            return;
        }

        Marquee.prototype.init = function() {
            this.setStyle();
            this.move();
            this.bind();
        };

        Marquee.prototype.setStyle = function() {
            var floatStyle, liMargin, liOuterH, liOuterW, ulH, ulW, wrapH, wrapW;

            liOuterW = this.elements.li.outerWidth(true);
            liOuterH = this.elements.li.outerHeight(true);
            liMargin = Math.max(parseInt(this.elements.li.css('margin-top'), 10), parseInt(this.elements.li.css('margin-bottom'), 10));
            switch (this.settings.type) {
                case 'horizontal':
                    wrapW = this.settings.showNum * liOuterW;
                    wrapH = liOuterH;
                    ulW = 9999;
                    ulH = 'auto';
                    floatStyle = 'left';
                    this.cache.stepW = this.settings.stepLen * liOuterW;
                    this.cache.prevAnimateObj = {
                        left: -this.cache.stepW
                    };
                    this.cache.nextAnimateObj = {
                        left: 0
                    };
                    this.cache.leftOrTop = 'left';
                    break;
                case 'vertical':
                    wrapW = liOuterW;
                    wrapH = this.settings.showNum * liOuterH - liMargin;
                    this.elements.wrap.css({
                        "margin-top":parseInt(this.elements.ul.css('margin-top')),
                        "padding-top":parseInt(this.elements.ul.css('padding-top'))
                    });
                    this.elements.ul.css({"margin-top":0,"padding-bottom":0});
                    ulW = 'auto';
                    ulH = 9999;
                    floatStyle = '';
                    this.cache.stepW = this.settings.stepLen * (liOuterH - liMargin);
                    this.cache.prevAnimateObj = {
                        top: -this.cache.stepW
                    };
                    this.cache.nextAnimateObj = {
                        top: 0
                    };
                    this.cache.leftOrTop = 'top';
            }
            this.elements.wrap.css({
                position: 'static' ? 'relative' : this.elements.wrap.css('position'),
                width: wrapW,
                height: wrapH,
                overflow: 'hidden'
            });
            this.elements.ul.css({
                position: 'relative',
                width: ulW,
                height: ulH
            });
            this.elements.li.css({
                float: floatStyle
            });
        };

        Marquee.prototype.bind = function() {
            var _ref, _ref1, _ref2, _ref3, _ref4, _this;

            _this = this;
            if ((_ref = this.settings.prevElement) != null) {
                _ref.click(function(ev) {
                    ev.preventDefault();
                    _this.prev();
                    var interval = _this.settings.interval;
                    setTimeout(arguments.callee, interval);
                });
            }
            if ((_ref1 = this.settings.nextElement) != null) {
                _ref1.click(function(ev) {
                    ev.preventDefault();
                    _this.next();
                    var interval = _this.settings.interval;
                    setTimeout(arguments.callee, interval);
                });
            }
            if ((_ref2 = this.settings.pauseElement) != null) {
                _ref2.click(function(ev) {
                    ev.preventDefault();
                    _this.pause();
                });
            }
            if ((_ref3 = this.settings.resumeElement) != null) {
                _ref3.click(function(ev) {
                    ev.preventDefault();
                    _this.resume();
                });
            }
            if ((_ref4 = this.elements.wrap) != null) {
                _ref4.hover(function() {
                    _this.pause();
                }, function() {
                    _this.resume();
                });
            }
        };

        Marquee.prototype.move = function() {
            var interval, moveEvent, _this;

            _this = this;
            if (this.settings.auto) {
                switch (this.settings.direction) {
                    case 'forward':
                        moveEvent = _this.prev;
                        break;
                    case 'backward':
                        moveEvent = _this.next;
                }
                interval = _this.settings.interval;
                setTimeout(function() {
                    moveEvent.call(_this);
                    setTimeout(arguments.callee, interval);
                }, interval);
                this.cache.moveBefore = this.cache.moveAfter = function() {
                    return null;
                };
            } else {
                this.cache.moveBefore = function() {
                    return _this.cache.allowMarquee = false;
                };
                this.cache.moveAfter = function() {
                    return _this.cache.allowMarquee = true;
                };
            }
        };

        Marquee.prototype.prev = function() {
            var preEls, ul, _this;

            _this = this;
            if (this.cache.allowMarquee) {
                this.cache.moveBefore.call(this);
                this.settings.prevBefore.call(this);
                ul = this.elements.ul;
                preEls = ul.children().slice(0, this.settings.stepLen);
                preEls.clone().appendTo(ul);
                ul.animate(this.cache.prevAnimateObj, this.settings.speed, function() {
                    ul.css(_this.cache.leftOrTop, 0);
                    preEls.remove();
                    _this.cache.moveAfter.call(_this);
                    _this.settings.prevAfter.call(_this);
                });
            }
        };

        Marquee.prototype.next = function() {
            var sufEls, ul, _this;

            _this = this;
            if (this.cache.allowMarquee) {
                this.cache.moveBefore.call(this);
                this.settings.nextBefore.call(this);
                ul = this.elements.ul;
                sufEls = ul.children().slice(-this.settings.stepLen);
                sufEls.clone().prependTo(ul);
                ul.css(_this.cache.leftOrTop, -this.cache.stepW).animate(this.cache.nextAnimateObj, this.settings.speed, function() {
                    sufEls.remove();
                    _this.cache.moveAfter.call(_this);
                    _this.settings.nextAfter.call(_this);
                });
            }
        };

        Marquee.prototype.pause = function() {
            this.settings.pauseBefore.call(this);
            this.cache.allowMarquee = false;
            this.settings.pauseAfter.call(this);
        };

        Marquee.prototype.resume = function() {
            this.settings.resumeBefore.call(this);
            this.cache.allowMarquee = true;
            this.settings.resumeAfter.call(this);
        };

        return Marquee;

    })();
    $.fn.marquee = function (options) {
        var marquee;
        marquee = new Marquee($(this), options);
        marquee.init();
        return marquee;
    };
    $.fn.marquee.defaults = {
        auto: true,
        interval: 6000,
        direction: 'forward',
        speed: 2000,
        showNum: 1,
        stepLen: 1,
        type: 'horizontal',
        prevElement: null,
        prevBefore: function() {},
        prevAfter: function() {},
        nextElement: null,
        nextBefore: function() {},
        nextAfter: function() {},
        pauseElement: null,
        pauseBefore: function() {},
        pauseAfter: function() {},
        resumeElement: null,
        resumeBefore: function() {},
        resumeAfter: function() {}
    };
})(jQuery);
jQuery.cookie = function(name, value, options) {
    if (typeof value != 'undefined') { // name and value given, set cookie
        options = options || {};
        if (value === null) {
            value = '';
            options.expires = -1;
        }
        var expires = '';
        if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
            var date;
            if (typeof options.expires == 'number') {
                date = new Date();
                date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
            } else {
                date = options.expires;
            }
            expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
        }
        // CAUTION: Needed to parenthesize options.path and options.domain
        // in the following expressions, otherwise they evaluate to undefined
        // in the packed version for some reason...
        var path = options.path ? '; path=' + (options.path) : '';
        var domain = options.domain ? '; domain=' + (options.domain) : '';
        var secure = options.secure ? '; secure' : '';
        document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
    } else { // only name given, get cookie
        var cookieValue = null;
        if (document.cookie && document.cookie != '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = jQuery.trim(cookies[i]);
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) == (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }
};
function create_marquee(selector){
    var mar = $(selector);
    var type=(mar.data("direction")=="up"||mar.data("direction")=="down")?"vertical":"horizontal";
    var direction=(mar.data("direction")=="left"||mar.data("direction")=="up")?"forward":"backward";
    mar.marquee({
        type:type,
        direction:direction,
        showNum: mar.data("show")==0?4:mar.data("show"),
        stepLen: mar.data("step")==0?1:mar.data("step"),
        prevElement: $("#prev"+mar.data("id")),
        nextElement: $("#next"+mar.data("id"))
    });
}
$(document).ready(function(){
    //初始化
    var service=$('#service');
    var miniService=$('#service-mini');
    if ($.cookie('service')=='close'){
        service.hide();
        miniService.show();
    }else{
        service.show();
        miniService.hide();
    }
    if(!window.XMLHttpRequest){
        $(window).scroll(function(){
            service.css({'top': document.documentElement.scrollTop+document.body.scrollTop+200+'px'});
            miniService.css({'top': document.documentElement.scrollTop+document.body.scrollTop+200+'px'});
        });
    } else {
        service.css({
            'position': 'fixed',
            'top': '150px',
            'right': '1px'
        });
        miniService.css({
            'position': 'fixed',
            'top': '150px',
            'right': '1px'
        });
    }
    $('#service-mini').click(function(){
        service.show();
        miniService.hide();
        $.cookie('service', 'open', {expires: 7, path: '/'});
        return false;
    });
    $('#close-service').click(function(){
        service.hide();
        miniService.show();
        $.cookie('service', 'close', {expires: 7, path: '/'});
        return false;
    });
    $("form.guestbookForm").on("submit", function (e) {
        e.preventDefault();
        var that = $(this);
        var time = new Date().getTime();
        var serialize = that.serialize() + "&time=" + time + "&md5=" + md5(time + $("#formId").val());
        $.post(that.attr("action"), serialize, function (data) {
            alert(data.message);
            that[0].reset();
        }, "json");
    });
});

contentStat = function(contentId,view){
    $.ajax({
        type: "POST",
        url: "/content/statistic.html",
        data: "contentId="+contentId,
		dataType:"json",
        success: function(data){
            if(view){
                $("#"+view).html(data.view);
            }
        }
    });
};


productStat = function(productId,view){
    $.ajax({
        type: "POST",
        url: "/product/statistic.html",
		dataType:"json",
        data: "productId="+productId,
        success: function(data){
            if(view){
                $("#"+view).html(data.view);
            }
        }
    });
};

contentUp = function(contentId,up){
    $.ajax({
        type: "POST",
        url: "/content/up.html",
        data: "contentId="+contentId,
		dataType:"json",
        success: function(msg){
            if(up){
                $("#"+up).val(msg.up);
            }
        }
    });
};

contentDown = function(contentId,down){
    $.ajax({
        type: "POST",
        url: "/content/down.html",
        data: "contentId="+contentId,
		dataType:"json",
        success: function(msg){
            if(down){
                $("#"+down).val(msg.down);
            }
        }
    });
};
